Introduction

Welcome to the world of DVD authoring! Whether your goal is to create interactive tutorials, marketing videos or multimedia presentations, with ReelDVD authoring software you’ll quickly be on the road to authoring your own DVD titles.

This ReelDVD User Guide includes an overview of DVD authoring and detailed information about the ReelDVD graphical user interface and menu commands. Enjoy!

This section includes the following topics:

  • What is DVD?
  • About ReelDVD
  • New Features in ReelDVD 3.0
Sonic Solutions/
Voice: 415.893.8000
Fax: 415.893.8008
info@sonic.com


What is DVD?

DVD (Digital Versatile Disc) is a fusion of multimedia and a digital video player, movies and interactivity. Taking advantage of the latest advances in digital compression technology, DVD discs hold up to 13 times more digital information than a CD-ROM, and can be used to create innovative, cutting-edge interactive video titles that incorporate a wide range of source material, including videos, slide shows, multiple audio and subtitle streams, and other components...in fact, nearly anything today’s video producer can imagine.

All this and more...welcome to the world of DVD!


About ReelDVD

ReelDVD is a fast, easy-to-use DVD authoring tool that supports many of the features in the DVD-Video specification, providing the means for you to quickly create a feature-packed single-title DVD-Video disc. DVD discs are authored in a scenario, also called a storyboard, where you combine video and audio assets and then add links between menus, videos, and slide shows that define how the user will interact with the DVD disc.

The intuitive ReelDVD user interface makes full use of drag-and-drop operations, making DVD authoring easier than ever before. For example, a piece of video, called a track, can be added to a scenario by simply dragging-and-dropping the video from Windows Explorer into the Storyboard area. In the same way, audio and subpicture assets are added to each video track by dropping the assets onto the video track’s icon or timeline. With support for up to eight audio streams and 32 subtitle streams, you can easily create multilingual DVD-Videos with subtitles.

After you set up the story, you can check the program flow with Simulation mode, which allows you to preview how the DVD title will run on a DVD-Video player. Once you have confirmed that the project plays as intended, you can then output the content directly to hard drive, DVD-R, or CD-R for immediate playback, or to DLT tape for mass replication.

Features

ReelDVD supports the following features:

  • Timeline assembly
  • Slide and still shows
  • Creation of chapter points
  • Up to 999 tracks, each of which can be turned into a menu
  • Import of layered Photoshop files as menus (generates subpicture masks and menu buttons automatically)
  • Interactive video menus (motion menus)
  • Link menu buttons to individual chapter points within video tracks
  • 16-color palette for menu highlights and subtitles
  • Real-time software simulation for proofing projects
  • Output to disc, hard drive, or DLT tape (for disc replication)
  • NTSC and PAL formats supported
  • Use 16:9 aspect ratio video for widescreen playback
  • Compatibility with Scenarist

New Features in ReelDVD 3.0

ReelDVD now includes the following features:

  • Up to eight audio streams
  • Up to 32 subtitle streams
  • Enhanced drive and media support, including DVD-R, DVD+R, DVD-RW, DVD+RW, CD-R, CD-RW, and DLT tape


Installation

This section documents requirements and installation for ReelDVD. It includes the following topics:

  • System Requirements
  • Hard Drive Requirements
  • Installing the Software


System Requirements

To use ReelDVD, you must have a compatible computer with the appropriate peripherals. For the latest list of recommended CPUs and peripherals, refer to the ReelDVD Configuration Guide, available from the Sonic Web site at:

http://www.sonic.com/products/reeldvd/config.asp


Hard Drive Requirements

Storage requirements for a DVD project are a minimum of twice the size of the target DVD volume plus the original asset file size. This is more than 14 GB for the full capacity of a typical single-sided, single-layer disc:

  • 4.7 GB for the asset files
  • 4.7 GB for the multiplexed video objects
  • 4.7 GB for DVD-Video files or Disc Image

The above minimal disk space requirements, furthermore, are possible only when you have instructed ReelDVD to delete both the Temporary Files and DVD Video Files directories, which ReelDVD does by default. The option to delete these directories appears in the Project Settings dialog box (see Project Settings Dialog).

The DVD Video Files and Temporary Files directories each require the same amount of disk space as the Disc Image directory. If you output a full 4.7 GB project and choose not to delete the DVD Video Files and Temporary Files directories, you will need over 18 GB of disk space.

Note: Keep in mind that you can locate each directory on a separate hard drive. Therefore, three 5 GB hard drives will work just as well as a single 15 GB drive.

File System Considerations

Because the FAT 16 and FAT 32 file systems do not support files larger than 2 GB, you must use NTFS to format any hard drives that will hold media assets and disc images.


Installing the Software

This section documents how to install your ReelDVD software. It includes the following topics:

  • Logging On in Administrator Mode
  • Uninstalling an Earlier Version of ReelDVD
  • Installing and Activating ReelDVD
  • Installing and Activating Sonic CinePlayer

Logging On in Administrator Mode

The first step is to log on to your Windows computer with a User name that is a member of your computer’s local Administrators group.

To log on to your computer in Administrator mode:
  1. Open the Windows Logon Information window and enter “Administrator” for the User name.
  2. Enter your Password and select your Domain name (the name of your local computer).
  3. Click OK to log on to your computer.

If you are upgrading from a previous version of ReelDVD, proceed to Uninstalling an Earlier Version of ReelDVD. Otherwise, skip directly to Installing and Activating ReelDVD.

Uninstalling an Earlier Version of ReelDVD

Before you install ReelDVD, first uninstall any existing versions of the software.

To uninstall an earlier version ReelDVD:
  1. From the Windows Start menu, choose Settings > Control Panel. The Control Panel window opens.
  2. Double-click the Add/Remove Programs icon.
  3. Select ReelDVD and click Change/Remove.
  4. Follow the on-screen instructions.
  5. If upgrading from a version of ReelDVD that required a dongle, power down your computer and remove the dongle attached to the parallel port. ReelDVD no longer requires a dongle.

When the removal process is complete, proceed to Installing and Activating ReelDVD.

Installing and Activating ReelDVD

If upgrading from an earlier version of ReelDVD, make sure to complete the steps in Uninstalling an Earlier Version of ReelDVD, then proceed to the following steps.

To install and activate ReelDVD:
  1. Insert the ReelDVD Installation disc and run the Setup program.
  2. At the main Install screen, select the option for ReelDVD. Follow the on-screen instructions.
  3. When prompted, restart your computer.
  4. From the Windows Start menu, choose Programs > Sonic > ReelDVD > Sonic ReelDVD.
  5. When prompted with the ReelDVD Activation screen, click Register.
  6. Enter your user information and click Next. You are prompted to activate ReelDVD with either of two methods.
  7. If you are connected to the Internet:
    • Select Internet Activation and click Next. Your Web browser launches.
    • When prompted, enter the serial number included with ReelDVD and click Go. A license file is installed to your hard drive and ReelDVD is automatically activated.

      • – or –

  8. If you are not connected to the Internet:
    • Select Manual Activation and click Next.
    • Click Save License Request and save the license request file to your hard drive.
    • Email the license request file along with the serial number included with ReelDVD to Sonic (at license_request@sonic.com).
    • Once Sonic emails you your license file, extract it to your Desktop and double-click it. The license file is installed and ReelDVD is automatically activated.

Installing and Activating Sonic CinePlayer

ReelDVD includes Sonic CinePlayer. This player can be used both as a standard DVD player and as an emulation tool for testing projects before recording them to disc.

Note: Some versions of ReelDVD do not include Sonic CinePlayer.

To install and activate Sonic CinePlayer:
  1. Insert the ReelDVD Installation disc and run the Setup program.
  2. At the main Install screen, select the option for Sonic CinePlayer. Follow the on-screen instructions.
  3. Click Finish to exit the Sonic CinePlayer Installer.
  4. From the Windows Start menu, choose Programs > Sonic > CinePlayer > CinePlayer.

For information on using Sonic CinePlayer, refer to the documentation installed with the software.


ReelDVD Work Areas

This section includes the following topics:

  • About the ReelDVD User Interface
  • The Tool Bar
  • The Storyboard Area
  • The Track Window
  • The Preview Window
  • The Explorer Window
  • The Information Window


About the ReelDVD User Interface

The ReelDVD user interface is made up primarily of the menu and tool bars and three basic work areas: the Storyboard Area, Track window, and Preview window. These windows can be resized, and docked or undocked.

ReelDVD user interface

Storyboard Area Main work area. Used to add video, audio, still image and subpicture assets, define links between tracks, and for other authoring work.

Track Window Used to trim video, assemble slide shows, create or modify chapter points, add audio & subpicture streams, and set language attributes.

Preview Window Used to play back the current state of the project to see the results of your work. Also used to edit the size and location of menu buttons and the path between buttons, and to check subtitle appearance and placement.

The user interface also includes the Explorer window, which is used to locate and work with source files for a ReelDVD project, and the Information window, which pops up as needed to give warning and status messages.


The Tool Bar

When ReelDVD is first launched, the main Tool Bar is found just below the menu bar and above the Storyboard area. Click and drag on the tab at the left of the bar to detach it, making it a floating window.

Tool Bar

The buttons on the Tool Bar (described left to right) provide quick access to a number of often-used functions:

New Project Creates a new, blank project. (Prompts to save current project if necessary.)

Open Project Brings up the Open dialog, allowing you to find and open an existing ReelDVD project.

Save Project Saves the current project. If the project has not previously been saved, the Save As dialog will appear, allowing you to save the current project under a new file name. The default file type is Storyboard (.stb), which creates a new file that becomes the active project in ReelDVD.

Print Brings up the Print dialog, allowing you to print the Storyboard view of the current project. Parameters include printer, print range and number of copies.

Clear Clears the currently selected objects.

Show Previous Link Toggles on and off the display of the red arrows indicating Previous links in the Storyboard area.

Show Next Link Toggles on and off the display of the blue arrows indicating Next links in the Storyboard area.

Show Return Link Toggles on and off the display of the green arrows indicating Return links in the Storyboard area.

Show Button Link Toggles on and off the display of the yellow arrows indicating Button links in the Storyboard area.

Zoom In/Out Toggles between a large and small view of the Storyboard area.

Explorer Window Toggles on and off the display of the Explorer window.

Track Window Toggles on and off the display of the Track window.

Preview Window Toggles on and off the display of the Preview window.

Make Disc Brings up the Make Disc dialog, allowing you to set up and execute the writing of a disc image for the current project, and to record that image to tape or disc. See Make Disc Dialog for more information.

The functions of the New, Open, Save, Print, Clear, Zoom In/Out, Explorer window, Track window, Preview window, and Make Disc buttons on the Tool Bar can also be accessed via ReelDVD’s menus (see Menus and Dialogs).


The Storyboard Area

The Storyboard area is the main work area where you do most of your basic authoring. Because DVD-Video is an interactive format, the Storyboard area offers a truly non-linear production environment.

Storyboard area

The content that makes up a DVD title is grouped into linear playback units known as Tracks. The various playback paths that the viewer can take through these Tracks is referred to as the navigation of the title. The work of defining this navigation, which involves creating links between Tracks and menus, is done in the Storyboard area. The Storyboard area is also used for adding video, audio, still image and subpicture assets to the project.

The Zoom button on the Tool Bar toggles between a large and small view of the Storyboard area. The area functions exactly the same in both modes.

Track Icons

To create Tracks in ReelDVD, you simply drag the icon of a video or still image file from the Explorer window and drop it into the Storyboard area (multiple files can be dropped at once). Each Track (one for each source file) is represented by a rectangular Track icon with a thumbnail displaying the first frame of the Track’s video stream. The name of the source file appears below the track icon.

Track icon command links

Clicking a Track icon makes that Track appear in both the Track window and the Preview window. A Track icon can be moved anywhere within the Storyboard area by clicking and dragging.

The red outer portion of each Track icon contains a set of command links used to define how the Track fits into the overall navigational flow of the title. Links between tracks are defined by clicking the link in one track and dragging to another. A Link Arrow will appear in a color corresponding to the type of link created, and the link indicator on the Track icon will light up. (The display of Link Arrows can be toggled on and off using the Tool Bar.) When the cursor is held over a given link, a small text box will appear showing the destination of that link.

A Track icon can have four types of links:

  • The Next (NXT) Track link (right side) is used to set the Track (designated by a blue Link Arrow) that the player will jump to when the viewer presses the Skip Forward key on the remote control. The Next Track link also defines the Track that playback will jump to when the current Track ends.
  • The Previous (PREV) Track link (left side) is used to set the Track (designated by a red Link Arrow) that the player will jump to when the viewer presses the Skip Backward key on the remote control.
  • The Return (UP) Track link (top) defines the Track (designated by a green Link Arrow) to jump to when the viewer presses the Return key.
  • The Command (CMD) Track link indicator appears at the bottom of the Track icon when a button is created in a Track. The indicator lights up when the command for any button in a Track is defined as a link. The destination of the link can be a Track (magenta Link Arrow) or a chapter within a Track (orange Link Arrow).

Auto Play, Title, and Menu Icons

In addition to standard Track icons, the Storyboard area also contains a set of three special icons:

  • The Auto Play icon indicates (with a yellow arrow) the Track that will play automatically when the disc is first inserted into the player or drive. ReelDVD automatically designates the first Track added to the project as the Auto Play Track. (If that Track is cleared, the Track that was added next becomes the Auto Play Track.) The Auto Play Track is usually used for the opening sequence, copyright notices and other important introductory information.
  • The Title icon specifies the Track that will play when the viewer presses the Title key on the remote control.
  • The Menu icon specifies the Track that will play when the viewer presses the Menu key.


The Track Window

The Track window is used to put together the various component parts, known as streams, that make up the Track that is currently selected in the Storyboard area. A Track must include a video stream, which can be motion video or still pictures, and can also include audio, subpicture and button highlight streams.

Track window

Up to eight audio streams and 32 subpicture streams are allowed in each Track. Using the Track window, you can add/delete and modify audio and subpicture streams, drag them on a timeline to position them in relation to the video, add/delete and modify chapter points, set language attributes, and perform other operations. Display of the Track window can be toggled on and off from the Tool Bar.

While the Track window has some similarities to non-linear video editing systems, it is not used for editing video or audio. Before a video clip can be used as a video stream in ReelDVD, it must already be encoded into a file in the MPEG-1 or MPEG-2 format, and should be edited to play back exactly as you want it to appear on the DVD (see Video Assets).

The central area of the Track window is reserved for horizontal bars which represent the streams in the Track. When a Track is first created by dragging a video or image file into the Storyboard area, a horizontal bar representing the video stream appears to the right of the Video label. The first part of this bar shows a thumbnail image of the video stream’s contents.

Timeline and Chapters

The duration of a Track is defined by the duration of the video stream. This duration is shown in a timeline running horizontally near the top of the Track window. The timecode values marking the timeline will vary depending on the timecode values associated with the video in the source MPEG file. The Zoom In and Zoom Out buttons to the left allow you change the scale of the timeline.

The green indicator on the timeline shows the current playback position in the Track. Dragging this indicator will change the video frame displayed in the Preview window. When a Track is played, however, it will always play from the beginning.

Above the timeline is the display area for chapter markers. By default, a Track contains a single chapter, indicated by the yellow triangle at the left of the display area. Clicking the New Chapter button at the lower left will create a new chapter that starts at the current location of the timeline indicator. A new chapter marker will appear in the display area at this location, and a vertical dashed line will appear across the streams in the Track window to show the chapter break.

Track window buttons

Adding Streams

To add an audio or subpicture stream to a Track, you can drag and drop the icon of the file that you want to add onto the icon of that Track in the Storyboard area. Or you can drop the file icon anywhere in the Track window. However, when working with multiple streams of a given type (audio or subpicture), it may be useful to control whether an added file becomes a particular stream position (1–8) of that stream type in that Track. By using the New Audio Stream or New Subpicture Stream button at the lower left, you can create empty streams in the Track window, then drop the file icon directly into the preferred stream. Subtitles can be typed in using the built-in subtitle editor by clicking the New Subtitle button.

When a stream is selected in the Track window, information about the stream’s attributes is displayed in a set of fields at the bottom of the Track window. The source file for the stream can be changed by clicking the browse button (marked “...”) next to the filepath field, which will bring up the Select File dialog box. The type of information displayed in the other fields varies depending on the type of stream (video, audio or subpicture).

Motion Video Streams

Each Track can use only one video stream. A video stream can be motion video in the MPEG format, or it can be one or more still images. The minimum duration allowed for a motion video stream is 0.4 seconds.

Video Stream Attributes

When a motion video stream is selected in the Track window, the attribute fields displayed are labeled Video, Encoded, and Start.

  • The Video field shows the path to the source video file. The browse button (“...”) brings up the Select File dialog box, which you can use to change the video file.
  • The Encoded fields (gray) display the timecode of the first and last frames of the video file as it was encoded. The timecode of the last frame of video is calculated based on the first frame’s time code and the duration of the clip.

Note: Encoders that do not handle timecode, such as the Matrox RT2000 and DigiSuite DTV, may put meaningless values in the timecode field.

  • The Start fields (white) specify the timecode values of the first and last frames of video that will actually be used by ReelDVD in the project. When a track is created or the source video is changed, these values default to those of the Encoded fields, meaning that the entire source file will be used as the video stream for that Track. To trim the head or tail of the video clip, enter new values in the Start fields. (If an entered value falls outside the range shown in the Encoded fields, ReelDVD will automatically adjust the values to match the Encoded values).

Note: The in-point of the Start timecode must fall on the first frame of a Group of Pictures (GOP) in the MPEG stream, which occurs approximately once every half-second (there is no such limitation for the out-point). ReelDVD will automatically adjust an entered value to the start of the nearest GOP.

Still Image Streams

For the most part, ReelDVD handles still images the same way it handles motion video. The images are displayed in the video stream section of the Track window, and their duration defines the duration of the Track.

Still images are used in DVD for one of three different purposes: as backgrounds for still menus, in Still Shows and in Slide Shows. Of these, only Slide Shows can have audio accompaniment.

Both Still Shows and Slide Shows involve a series of still images appended together for continuous playback:

  • In a Still Show, each image remains on screen until the viewer presses a key on the remote control. Because the images in a Still Show have no defined duration, still shows have no audio or subtitle tracks.
  • In a Slide Show, the duration of each image and the sequence of the images are both set by the DVD author. A Slide Show can be accompanied by one or more audio and subtitle tracks. Once again, it is the duration of the video stream—in this case the combined duration of all slides in the show—that determines the duration of a given Track, and thus the duration of any audio and subpicture streams.

Like any other Tracks, Still Shows, Slide Shows and Menus are created by dropping a source file—in this case a still image (see Still Image Assets for supported file formats)—into the Storyboard area. A dialog box asks which type of Track you want to create. With the new Track open in the Track window, a horizontal bar representing the image’s duration appears in the video stream area. The first part of this bar shows a thumbnail of the image.

By default, each image in a Slide Show is set to play for 10 seconds. The duration of a selected image can be changed by dragging the edge of that image’s segment (the horizontal bar, including the thumbnail, that represents the image in the video stream area). Alternatively, you can enter new values in the Start attribute fields at the bottom right. Note that there are no Encoded attribute fields when a Track’s video stream is made up of still images rather than motion video.

Additional images are added to a Still Show or Slide Show by dragging source file icons from the Explorer window directly into the Track’s video stream. The images will appear in the video stream in the order that they are dropped, but once the images are in the stream, their order can be modified by dragging.

Slide Show attributes

Audio Streams

ReelDVD supports up to eight streams of audio per Track. The viewer can switch between these streams during playback by pressing the Audio key on the remote control.

Three different audio formats are commonly supported for use in DVD-Video: Dolby Digital (AC-3) and Linear PCM on both NTSC and PAL players, plus MPEG Audio on PAL players only (see Audio Assets).

To add an audio stream in the Track window, drag in the icon of the source file from the Explorer window (see Importing Audio for more information on importing audio into a ReelDVD project).

Audio stream attributes

Keep the following in mind when working with audio streams:

  • Audio that extends beyond the end of a Track’s video stream will be automatically trimmed to fit within the duration of the video. Similarly, an audio stream cannot start playing before the video stream.
  • Multiple audio clips can be assembled into a single audio stream. However, there can be no empty spaces between the audio clips in the stream. Trim the duration of an individual clip in the stream by dragging on the edges of its segment.
  • If an audio stream is empty, but a higher-numbered stream contains audio, you will get an error message when you try to create a disc image for your project. In other words, you must use stream 1 if there is only a single stream of audio, and streams 1 and 2 if there are only two streams.
  • All of the audio in a given stream position (stream 1–8) must be in the same format across all Tracks in the project. (The format and bit rate of audio stream 1 of Track 1, for instance, must match that of audio stream 1 of Track 2.)

Sync with Video

Dolby Digital audio files can contain timecode information that can be used to synchronize their audio to timecode information in the video stream. PCM and MPEG Audio files do not contain timecode information.

The Sync button to the immediate left of each audio stream in the Track window toggles on to allow the synchronization of audio file timecode to the timecode of the video stream.

  • If an audio file contains timecode and that timecode overlaps with the timecode of the video stream, the Sync button will default to on (“Sync with Video” mode), and ReelDVD will use the timecode data to synchronize the audio to the video.
  • If the audio file contains non-overlapping time code or no time code at all, the button will automatically default to off, and the beginning of the audio will snap to the start of the video. The button should be manually set to off if the video and audio files contain timecode that is overlapping but mismatched.

Once an audio stream’s Sync button is set to off, either automatically or manually, it can only be reactivated if the existing audio data is removed from the stream, at which time the button can be turned on and new audio dropped into the stream.

Audio Attributes

When an audio stream is selected in the Track window, its attributes are displayed in the fields at bottom.

  • The Audio field shows the path to the source video file. The browse button (“...”) brings up the Select File dialog box, which you can use to change the audio file.
  • The Encoded fields (gray) show the timecodes of the first and last frames of the audio file as it was encoded. The timecode of the last frame of audio is calculated based on the first frame’s timecode and the duration of the clip. Audio files that do not contain timecode values, such as Linear PCM and MPEG Audio (as well as some AC-3 files) will show a start value of 00:00:00:00.
  • The Offset field shows the point, relative to the start of the audio file, at which audio playback will begin. If the Sync button is on and the audio timecode starts at a lower value than the video timecode, the Offset field will display the difference; if the first audio timecode is the same as or higher than the start of the video, the offset will default to 00:00:00:00. If the Sync button is off, you can change the value in this field, adjusting synchronization with the video by trimming the head of the audio.
  • The Start fields (white) show the timecodes in the video at which playback of the selected audio stream will begin and end. If the Sync button is on, the audio start-point will be determined by matching the timecode of the audio with that of the video stream. If the Sync button is off, entering new values will change the point in the video at which that audio stream will start and stop playing.

As an example of how the Offset and Start fields interact, consider a video stream with timecode starting at 01:00:00:00. If the audio stream has a Start value of 01:00:02:00, and an Offset of 00:00:05:00, audio will begin playing two seconds into the video, from a point in the audio data that is five seconds from the beginning of the original audio file.

Audio Languages

DVD-Video players have the capability to automatically play back the appropriate audio stream of a Track based on language preference settings in the player’s setup menu. To make this feature work, each audio stream is assigned a language code.

The default language for audio streams is determined in the Project Settings dialog box (see Languages Tab). The language code of an individual stream can be changed by clicking the Language button found to the far left of each audio stream in the Track window. A Select Language dialog box appears with a list of available language codes (including “Not Specified”).

If you change the language code for an audio stream, an alert dialog will ask if you want to change the language code for that stream position in all Tracks in the project (this will have no effect on the language actually spoken in the audio stream). In other words, the language code for a given stream position (1–8) must be consistent from Track to Track throughout the project.

Subpicture Streams

A subpicture is a 2-bit (four color) image that is overlaid on top of the program material (motion video or still image) in the video stream. Subpictures are used for menu button highlights and for subtitles.

On menus, subpictures are used in conjunction with a background to create the composite menu image seen by the viewer. When used for subtitles, on the other hand, subpictures are displayed in series, with multiple subpictures making up a subtitle stream. No more than one subtitle in the stream can be visible at any given time.

Subpicture Types

In ReelDVD, each subpicture is categorized as one of three specific types: Menu, Simple and Infinite.

  • Menu subpictures extend for the full duration of a Track, and therefore a Menu subpicture has to be the only subpicture in its stream. During playback, Menu subpictures are displayed to the viewer whether the player’s Subtitles option is on or off. Menu subpictures cannot be used in Tracks that contain more than one chapter.
  • Simple subtitles are only visible if a player’s Subtitles option is on. The subpicture stream is made up of one or more subtitle images, each of which displays for the duration specified in the Start attribute fields.
  • Infinite subtitles are only visible if a player’s Subtitles option is on. The subpicture stream is made up of one or more subtitle images. Each image has a start time defined in the Start field. But Infinite subtitles have no end time, so they display until a new subtitle starts or until the end of the current chapter.

When a subpicture stream is first created in the Track window, the type of the first subpicture added will always default to Menu. If a new subpicture is subsequently added to that subpicture stream, the type of the original subpicture changes to Infinite, and the type of the new picture defaults to Simple.

Subpicture Attributes

When a subpicture is selected in the Track window, its attributes are displayed in the attribute fields in the lower right corner.

  • The Subpicture field shows the path to the source file for the subpicture. The browse button (“...”) brings up the Select File dialog box, which you can use to change the source file.
  • The dropdown Type menu is used to display the type (Menu, Simple or Infinite) of the selected subpicture. Select from the menu to change the type.
  • The Start field shows the start timecode of the subpicture. If the subpicture type is Menu, this value is read-only and will always match the start time of the video stream. If the type is Simple or Infinite, the start value can be edited. For Simple subpictures, there is also an end-point field, which can also be edited, that indicates the frame on which display of the subtitle should stop.

Subtitle Languages

ReelDVD supports up to 32 streams of subtitles per Track. As with audio streams, subtitle streams are assigned a default language code set in the Project Settings dialog box (see Languages Tab). Based on the language preference settings in the setup menu of a viewer’s player, the player will auto-select the appropriate subtitle stream during playback. The viewer can also switch between subtitle streams during playback by using the Subtitle and Subtitle On/Off keys on the remote control.

The language of an individual stream can be changed in the Track window by clicking the Language button found to the far left of each subpicture stream in the Track window. If you change the language code, an alert dialog will ask if you want to change the language code for that subpicture stream position in all Tracks in the project (this will have no effect on the language that was actually used in the subpicture images). In other words, the language code for a given subpicture stream position (1–32) must be consistent from Track to Track throughout the project.

Subpicture Preparation

Both menu subpictures and subtitles can be prepared as image files and then brought into a ReelDVD project (see Subpicture Assets and Subtitle Assets for information on preparing subpictures and subtitles). To add a subpicture in the Track window, drag in the icon of the source image file from the Explorer window.

If you use a higher-numbered subpicture stream while a lower-numbered subpicture stream is empty, you will get an error message when you try to create a disc image for your project. In other words, you must use stream 1 if there is only a single subpicture stream, and streams 1 and 2 if there are only two streams.

Subtitles (but not menu subpictures) can be created directly within ReelDVD using the built-in subtitle generator. Clicking the New Subtitle button at the lower left of the Track window will bring up the Create Subtitle dialog box, allowing you to type in the text and to specify subtitle parameters such as font, size, location, and start and stop times (see Create Subtitle Dialog). Both the text and the parameter settings can subsequently be modified at any time.

Button Highlight Stream

Whenever a subpicture stream is present, ReelDVD automatically creates a button highlight stream as well. The button highlight stream in the Track window will appear empty (gray) until buttons for the Track are created in the Preview window, after which it will appear as a colored bar. Because button highlight streams have no attributes, no attribute fields are displayed at the bottom of the Track window when the button highlight stream is selected.

The button highlight stream contains both the hotspot definitions and the commands for on-screen buttons.

  • A hotspot is the rectangular area of the screen that is assigned to a given menu button. This rectangle (defined in the Preview window) determines the area that will be affected by Selection and Activation colors when the viewer uses the Up/Down/Left/Right and Enter keys on the remote control. If the DVD is played in a computer-hosted DVD-ROM drive, a button’s hotspot defines the area of the screen within which that button will respond to mouse rollovers and clicks.
  • A button command tells the DVD player what to do when a given button is activated. The commands for buttons are defined in the Storyboard Area. Buttons created in ReelDVD can link to another Track, link to a Chapter within a Track, or have “No Operation” (“Nop”).

See Creating Menu Buttons for information on creating buttons.


The Preview Window

The Preview window is used for three aspects of authoring:

  • To define the size and position of menu buttons, and the button paths
  • To check placement and appearance when adding subtitles
  • To view simulation of video playback and program flow

Display of the Preview window can be toggled on and off from the Tool Bar.

The Preview window has two modes: Design and Simulation. To switch between modes, click the “LED” at the bottom left of the Preview window. In Design mode, the LED is red and the control panel at bottom contains a set of tools for working on buttons and subtitles. In Simulation mode, the LED is green, and the panel contains the same keys found on a DVD-Video remote control, allowing you to play the project in its current state as if it were playing on a DVD-Video player.

This section includes the following topics:

  • Design Mode
  • Simulation Mode

Design Mode

In Design mode, the Preview window offers a complete set of tools for working on menu buttons and subtitles.

Preview window in Design mode

Stream Indicators

At the upper left and right corners, respectively, of the Preview window’s control panel area, we find the Audio and Subtitle stream indicators:

Audio Indicator Shows the currently playing audio stream, as well as to change or mute the stream. Clicking the “+” and “–” buttons will cycle through the available streams for the current Track (up to eight). Clicking the Audio indicator itself will toggle audio playback between muted (indicator darkened) and audible (indicator lit).

Subtitle Indicator Shows the currently playing subtitle stream, as well as to change or hide the stream. Clicking the “+” and “–” buttons will cycle through the available streams for the current Track (up to 32). If the subtitles are Simple type or Infinite type, clicking the Subtitle indicator itself will toggle the display between hidden (indicator darkened) and visible (indicator lit).

Note: Menu type subpictures are always displayed. It is also possible to force imported Simple and Infinite subtitles to be displayed by using the Display_Start script file setting. See About the Script File Settings for more information.

Running across the middle of the control panel there is a horizontal tool bar for the Preview window’s design functions. Clicking the circular button in middle pops up a menu that offers an alternative way to activate most of these tools.

Cursor Modes

The left side of the control panel’s tool bar contains three buttons (described left to right):

Selection Tool Sets the mouse cursor to Selection mode, allowing you to select and resize menu buttons that have already been defined (if any).

New Button Tool Sets the mouse cursor to New Button mode. You create a new button on the current menu by clicking and dragging in the display, which defines the rectangle of the new button’s hotspot.

Eyedropper Tool Sets the mouse cursor to Color Picker mode (only available in the “Original Color” display mode; see Viewing Modes and Color/Contrast Settings). To define subpicture mask colors, click on a pixel in the subpicture, then indicate which of the four subpicture mask colors the selected color should map to.

Button Link Tools

The tools in the center of the tool bar are used for defining button links:

Up/Down/Left/Right Link Tools Arranged in a ring around the pop-up menu button, these buttons set the mouse cursor to one of four link modes: Up, Down, Left or Right. To define the order in which the buttons on a menu are linked together, click within the hotspot for one button and drag to the hotspot of the next button. For example, if the Down link tool is used to link Button #1 to Button #2, then pressing the Down key on the remote control when Button #1 is selected will change the selection to Button #2. Note that the arrows representing links in the Preview window are color-coded as follows: Up=red, Down=blue, Left=yellow, Right=green. When a given link tool is selected, only the button links of that type will be visible. (To see all of the button links, click the Selection or New Button tool.)

Vertical Link Tool Found just to the left of center, this button sets the mouse cursor to Up/Down link mode. In this mode, you can define Down and Up links simultaneously by clicking within a button hotspot area and dragging to the destination hotspot. For example, when the Vertical link tool is used to drag from Button #1 to Button #2, then a Down link will be created from Button #1 to Button #2, and an Up link will be created from Button #2 back to Button #1. When this tool is selected, only Up and Down link arrows are visible.

Horizontal Link Tool Found just to the right of center, this button sets the mouse cursor to Left/Right link mode. In this mode, you can define Left and Right links simultaneously by clicking within a button hotspot area and dragging to the destination hotspot. For example, when the Horizontal link tool is used to drag from Button #1 to Button #2, then a Right link will be created from Button #1 to Button #2, and a Left link will be created from Button #2 back to Button #1. When this tool is selected, only Right and Left link arrows are visible.

Viewing Modes and Color/Contrast Settings

A subpicture is a four color image. Each of the four colors in the subpicture image file (Color 1 through 4) is used to define an area of the screen. The actual color that will appear in each of these four areas during playback, as well as the contrast value (opacity) of each color, can be set in the Preview window. You also set the color and contrast for areas that are within button hotspots. This defines the appearance of hotspot areas both when a button is selected and when it is activated. See Color Tab for information on setting project-wide defaults for subpicture color-mapping.

The right side of the control panel’s tool bar contains four buttons (described left to right) that activate different viewing modes for the Preview window. These modes also determine which color and contrast settings (normal display, button selected display, or button activated display) are currently available for editing with the four Color/Contrast indicators found along the bottom of the Preview window’s control panel.

Original Color Mode Displays the subpicture overlay from the source file (without displaying the video stream in the background). The Eyedropper Tool is only active in this mode. The Color/Contrast values are not editable.

Display Color Mode The default display mode, which shows how subtitles and subpictures will normally look when overlaid on the video stream. The Color/Contrast values can be edited. To change the color mapping for a given color (1 through 4), click the indicator for that color and select a new color from the pop-up palette. To increase or decrease the contrast, click the “+” and “–” buttons on either side of the color indicator (the DVD specification supports sixteen contrast levels from transparent to opaque).

Selection Color Mode Shows how the portion of the subpicture that is within a button hotspot will look when the menu button defined by that hotspot is selected. The color and contrast values for selected buttons can be set independently of the Display Color Mode. Areas of the subpicture that are not within any hotspot will not be affected by the settings in this mode.

Action Color Mode Shows how the portion of the subpicture that is within a button hotspot will look when the menu button defined by that hotspot is activated (the viewer presses Enter or Select on the remote). The color and contrast values for activated buttons can be set independently of the Display Color Mode. Areas of the subpicture that are not within any hotspot will not be affected by the settings in this mode.

Simulation Mode

When the Preview window is in the Simulation mode, the control panel represents a DVD-Video player remote control.

Preview window in Simulation mode

Stream Indicators

At the upper left and right corners, respectively, we find the Audio and Subtitle indicators:

Audio Indicator Shows the currently playing audio stream, as well as to change or mute the stream. Clicking the “+” and “–” buttons will cycle through the available streams for the current Track (up to eight). Clicking the Audio indicator itself will toggle audio playback between muted (indicator darkened) and audible (indicator lit).

Subtitle Indicator Shows the currently playing subtitle stream, as well as to change or hide the stream. Clicking the “+” and “–” buttons will cycle through the available streams for the current Track (up to eight). If the subtitles are Simple type or Infinite type, clicking the Subtitle indicator itself will toggle the display between hidden (indicator darkened) and visible (indicator lit).

Note: Menu type subpictures are always displayed, as are any subtitles imported with the Display_Start script file parameter set to “Forced.” See About the Script File Settings for more information.

DVD Remote Keys

Across the middle of the control panel we find keys corresponding to those of typical DVD remote control (described left to right):

Title Corresponds to the Title, Guide, or Top Menu key. This key causes playback to jump immediately to the Track indicated by the Title icon in the Storyboard area. Typically, this is defined as the top-level menu of the menu hierarchy, or the first Track on the DVD.

Menu Corresponds to the Menu key. This key causes playback to jump immediately to the Root Menu, the Track indicated by the Menu icon in the Storyboard area. Typically, this is defined as the main menu of the project’s contents.

Return Corresponds to the Return key. This key causes playback to jump immediately to the Track indicated as the Return track for the current Track playing (if any). Typically, the Return track is defined as the menu immediately preceding the current Track. (Although the Return function is not commonly used in movie titles, it is extremely useful for interactive titles.)

Up/Down/Left/Right These buttons correspond to the remote control keys used to select items on a DVD menu. The sequence of button selection will follow the Up/Down/Left/Right links that have been authored for a given menu.

Enter Corresponds to the Enter or Select key. This key is used to activate the selected item on a DVD menu, causing it to jump to a new Track as defined in the authoring.

Play/Stop Corresponds to the Play and Stop keys, which start and stop playback of the DVD content, beginning at the currently selected Track or icon (AutoStart, Title, Menu) in the Storyboard area.

Skip Backward Corresponds to the Skip Backward key. This key is used to skip back to the beginning of the current chapter. If pressed twice quickly, it skips to the beginning of the previous chapter (or previous Track, if any, when on the first chapter).

Skip Forward Corresponds to the Skip Forward key. This key is used to skip forward to the beginning of the next chapter (or next Track, if any, when on the last chapter).

Volume This slider, at the bottom right of the control panel, sets the playback volume of the audio content to one of 11 possible levels. To the left is quieter, to the right is louder.


The Explorer Window

The Explorer window offers a convenient way to locate and work with the various source files that go into a ReelDVD project. The window includes a Folders pane and a Files pane. Like Windows Explorer, the Folders pane shows an expandable tree view of all of the folders on the current volume of storage media. The Files pane shows a list (which can be filtered) of files in the current folder.

Explorer window

The Explorer window also includes a set of tools for navigating storage media and filtering the contents of the Files pane based on file type. These tools (described from left to right) are arranged across the top of the window:

Current Folder Shows the name of the folder whose contents are currently displayed in the Files pane.

Up One Level Changes the folder currently displayed in the Files pane to the next higher directory.

Large Icons Shows files in the Files pane using their large icons.

Small Icons Shows files in the Files pane using their small icons.

List Shows files in the Files pane using their small icons arranged in list fashion.

Details Shows file details.

Video Files Filters the list in the Files pane to display only video files (*.m2v, *.mpg, *.mpeg, *.mpv, *.mv2, *.vbs).

Audio Files Filters the list in the Files pane to display only audio files (*.ac3, *.aif, *.aiff, *.mpa, *.wav).

Image Files Filters the list in the Files pane to display only still images (*.bmp, *.jpeg, *.jpg, *.mps, *.pict, *.psd, *.tga, *.tif, *.tiff).

All Files Shows all files in the current folder (no filtering).


The Information Window

The Information window appears automatically when a warning or error message has been generated within ReelDVD. It displays the given error or warning, and also displays additional information that may be useful for understanding the context of the problem. The information in the window can be copied and pasted to another document, or it can be saved to a file. It is particularly helpful to save the log if you plan to contact technical support about a problem.

Information window

The information window has five buttons:

General Displays standard ReelDVD warning and error messages.

Details Displays more detailed messages. (Generally useful only during the Make Disc operation.)

Save Log Saves the messages to a log file in Rich Text Format, which can then be sent to Sonic Technical Support for review in case of a problem. (It is important to give exact error or warning messages when contacting Sonic Technical Support for help.)

Clear Clears the message log.

Close Closes the Information window.


Menus and Dialogs

In addition to the DVD authoring features of the main user interface, ReelDVD also provides a number of other functions and commands that are accessed through menus and dialogs. These include the ability to customize project preferences, to save a single frame of a video track as a Windows Bitmap (.bmp) file, and to sort tracks.

This section includes the following topics:

  • Menus
  • Preferences Dialog
  • Project Settings Dialog
  • Select Layers Dialog
  • Sort Tracks Dialog
  • Create Subtitle Dialog
  • Make Disc Dialog


Menus

ReelDVD includes the following menus:

  • File Menu
  • Edit Menu
  • Track Menu
  • View Menu
  • Help Menu

File Menu

The File menu allows access to the following commands:

New Creates a new, blank project. (Prompts to save current project if necessary.)

Open Brings up the Open dialog, allowing you to find and open an existing ReelDVD project.

Save Saves the current project under the existing file name. (Prompts for file name if it is a new project.)

Save As Brings up the Save As dialog, allowing you to save the current project under a new file name. The default file type is Storyboard (.stb), which creates a new file that becomes the active project in ReelDVD. A project can also be saved as a Storyboard Template (.stt) or Scenarist Script (.scp).

Export Video Image As Brings up the Save As dialog, allowing you to save the current video frame shown in the Preview window as a Windows Bitmap (.bmp) file at full-size (NTSC: 720x480; PAL: 720x576). This is useful for grabbing stills for use in a menu, or for lining up subpictures with frames in a motion menu.

Print Setup Brings up the Print Setup dialog, allowing you to set up for printing the Storyboard view of the current project. Parameters include printer, paper size and orientation.

Print Preview Brings up a window showing a preview of the printer output.

Print Brings up the Print dialog, allowing you to print the Storyboard view of the current project. Parameters include printer, print range and number of copies.

Make Disc Brings up the Make Disc dialog, allowing you to set up and execute the writing of a disc image for the current project, and to record that image to tape or disc. See Make Disc Dialog for more information.

Clear Cache Removes temporary files created by ReelDVD during normal use. These files are located in the “<Project Name> Cache” folder where the project is stored. The files are automatically regenerated the next time ReelDVD needs them.

Exit Exits the ReelDVD application and prompts to save the current project (if necessary).

The New, Open, Save, Print, and Make Disc commands can also be accessed from the Tool Bar.

Edit Menu

The Edit menu allows access to the following commands:

Cut Cuts the currently selected objects to the clipboard.

Copy Copies the currently selected objects to the clipboard.

Paste Pastes the contents of the clipboard into the project.

Clear Deletes the currently selected objects. The Clear command can also be accessed from the Tool Bar.

Select All Selects all objects in the Storyboard area.

Project Settings Opens the Project Settings dialog, allowing you to define project-specific parameters (see Project Settings Dialog).

Preferences Opens the Preferences dialog, allowing you to set program-wide preferences (see Preferences Dialog).

Track Menu

The Track menu allows access to the following commands:

Add Audio Stream Adds an additional audio stream (up to eight total) to the currently selected Track.

Add Subpicture Stream Adds an additional subpicture stream (up to 32 total) to the currently selected Track.

Verify Checks the validity of the selected Track to verify that the track is compliant with the DVD Video specification. The function checks for data in audio and subpicture streams, sums the bit rates of the audio streams, and calculates the combined bit rate (audio plus video) for the Track. The result is reported in the Information window.

Sort Tracks Opens the Sort Tracks dialog, where you can change the physical layout order of the Tracks on the disc by clicking and dragging on the thumbnails in the Track list. This can help to reduce DVD seek times for complex projects.

The Add Audio Stream and Add Subpicture Stream commands can also be accessed from the Track window tool bar (bottom left).

View Menu

The View menu allows access to the following commands:

Tool Bar Toggles on (checked) and off (unchecked) the display of the Tool Bar at the top of the Storyboard area.

Status Bar Toggles on (checked) and off (unchecked) the display of the Status Bar at the bottom of the main window.

Explorer Window Toggles on (checked) and off (unchecked) the display of the Explorer window.

Track Window Toggles on (checked) and off (unchecked) the display of the Track window.

Preview Window Toggles on (checked) and off (unchecked) the display of the Preview window.

Zoom In Zooms in on the Storyboard area for a close-up view.

Zoom Out Zooms out from the Storyboard area for a larger overall view.

Display of the Explorer, Track and Preview windows can also be toggled on and off from the Tool Bar.

Help Menu

The Help menu allows access to the following commands:

Contents Opens the Windows Online Help system.

About ReelDVD Opens the About ReelDVD dialog, which displays Version Info, License Info, and System Info for your copy of ReelDVD.


Preferences Dialog

The Preferences command on the Edit menu brings up the Preferences dialog, which allows you to customize the following aspects of operation in ReelDVD:

Preferences dialog

Start-up Behavior Determines the project that is opened when ReelDVD is first launched, either the project that was open last or a new blank project.

Initial View Determines whether the Storyboard area is in Zoomed In or Zoomed Out mode when ReelDVD is first launched.


Project Settings Dialog

Accessed by selecting Project Settings on the Edit menu, this dialog is used to define parameters specific to the current project. It is divided into a number of tabs. Two buttons appear in common on all of the tabs (except the Layout Settings tab):

Save As Default Saves the settings on the current tab (except the Disc Name field on the Project tab) as defaults for all future projects.

Reset Defaults Returns settings on the current tab to the factory installed default values, and resets these defaults for future projects.

The Project Settings dialog includes the following tabs:

  • Project Tab
  • Languages Tab
  • Subtitle Tab
  • Color Tab
  • Color Palette Tab
  • Layout Settings Tab

Project Tab

The Project tab includes fields and drop-down menus for setting the following parameters:

Project tab of the Project Settings dialog

Disc Name Enter the volume name for the project’s disc image. Valid characters for the volume name are: A– Z (upper case only), 0–9, and underscore (_).

TV System Indicates the TV system of the project’s video content: NTSC (29.97 fps) or PAL (25 fps). (The DVD specification does not allow mixing of TV System content within a single DVD volume.) When the first video file is dropped into a new project, this setting is changed automatically (with a warning message) to the format of that video file. The TV System setting is locked once the first video or still image asset is added to a project.

Time Code Format To ensure proper synchronization, indicate the timecode format of the audio, video and subtitle source files used in the project: Drop Frame or Non-drop Frame. (This setting only applies when the TV System is NTSC.)

Video Format Indicates the format of the project’s video content: MPEG-2 or MPEG-1. (The DVD specification does not allow the mixing of video formats within a single Video Title Set (VTS). ReelDVD uses only one Video Title Set, so no mixing of video formats is allowed.) The Video Format setting is locked once the first video or still image asset is added to a project.

Aspect Ratio Indicates the aspect ratio of the project’s video content. ReelDVD supports both Standard 4:3 and Widescreen 16:9 formats. (The DVD specification does not allow the mixing of video aspect ratios within a single Video Title Set, so mixing of aspect ratios is not allowed in ReelDVD.) The Aspect Ratio setting is locked once the first video or still image asset is added to a project.

When working with content in the 16:9 aspect ratio, ReelDVD will automatically create a letterbox version of menu subpictures, ensuring proper alignment of button highlights. Because some vertical picture data is lost in this process, it is recommended that 16:9 subpictures be prepared with thicker horizontal lines (see Subpicture Assets for more information on subpicture preparation).

Size Indicates the image size of video, still image, and subpicture content. Valid settings are as follows:

NTSC | MPEG-1 | 352x240 (SIF)
 | MPEG-2 | 720x480 (Full D1) 704x480 (Broadcast D1) 352x480 (Half D1) 352x240 (SIF)
PAL | MPEG-1 | 352x288 (SIF)
 | MPEG-2 | 720x576 (Full D1) 704x576 (Broadcast D1) 352x576 (Half D1) 352x288 (SIF)

Audio Encoding Type Indicates whether audio files—Linear PCM (Wave/AIFF) audio and MPEG audio—are to be used in the format of their source files (As is), or to be encoded by ReelDVD to Dolby Digital (2/0), a two-channel AC-3 format. The Dolby Digital (2/0) setting can be used to ensure that all audio in a given stream position (stream 1–8) is in the same format, as required by the DVD specification. (The format and bit rate of audio stream 1 of Track 1, for instance, must match that of audio stream 1 of Track 2.)

Audio Encoding Rate Indicates the audio encoding bit rate to use when the Audio Encoding Type is set to Dolby Digital (2/0). Values range from 96 Kbps to 448 Kbps. Dolby recommends values of 196 Kbps for standard stereo, and 224 Kbps where higher definition is required.

Image Encoding Rate Indicates the bit rate to use for encoding still images that are added to the current project. The valid range of values depends on the Video Format. For MPEG-1, values range from 0.5 MBps to 1.8 MBps, with a default of 1.8 MBps. For MPEG-2, values range from 1.0 MBps to 9.0 MBps with a default of 8.0 MBps.

Languages Tab

The Language tab is used to set parameters related to the Language codes that are assigned to audio and subpicture streams. DVD players use these codes to automatically choose the audio and subpicture streams to play back, based on the languages set by the viewer in the player’s setup menu. (If the preferred audio or subpicture language is not available, then playback defaults to audio or subpicture stream 1.) The assigned language is also displayed on-screen when the viewer changes streams with the remote control.

Languages tab of the Project Settings dialog

Audio Languages Sets the language code assigned to audio streams 1–8 in all Tracks of the project (see Audio Streams for information on changing an audio stream’s language code in the Track window).

Subtitle Languages Sets the language code assigned to subpicture streams 1–32 in all Tracks of the project (see Subpicture Streams for information on changing a subtitle stream’s language code in the Track window).

Simulation Defaults Defines the audio and subpicture language settings on the setup menu of the DVD-Video player that will be simulated in the Preview window’s Simulation mode. When the AutoStart icon is selected and simulation begins, ReelDVD will automatically attempt to use these Simulation Default language settings to choose appropriate audio and subpicture streams for playback.

Subtitle Tab

The Subtitle tab includes buttons and drop-down menus used to define the appearance and position of new subtitles created with ReelDVD’s built-in subtitle generator. Note that these settings do not have any effect on existing subtitles.

Subtitle tab of the Project Settings dialog

Font Sets the default subtitle font.

Size Sets the default subtitle font size.

Style Sets the default subtitle font style (Bold, Italic, Underline).

Alignment Sets the default horizontal alignment of the subtitles (Center, Left, Right).

Location Sets the vertical position of the subtitles (Top, Middle, Bottom).

Render Determines whether each subtitle’s subpicture image is rendered as a full-screen graphic (e.g. 720x480 for NTSC, Full D1) or as a graphic just large enough for the subtitle text. (The default is Text Area, because the resulting image files use less disk space in the Project Cache.)

Outer Edge Sets the color and contrast level of the outer 1-pixel outline of the subtitle text. Click the color swatch to choose from the sixteen colors in the pop-up color palette. Use the up and down arrows to set the contrast to one of sixteen levels, from 0% (transparent) to 100% (opaque). The default color/contrast setting for the Outer Edge is 100% black.

Inner Edge Sets the color and contrast level of the inner 1-pixel outline of the subtitle text. Click the color swatch to choose from the sixteen colors in the pop-up color palette. Use the up and down arrows to set the contrast to one of sixteen levels, from 0% (transparent) to 100% (opaque). The default color/contrast setting for the Inner Edge is 100% black.

Face Sets the color and contrast level of the font face of the subtitle text. Click the color swatch to choose from the sixteen colors in the pop-up color palette. Use the up and down arrows to set the contrast to one of sixteen levels, from 0% (transparent) to 100% (opaque). The default color/contrast setting for the Face is 100% white.

Background Sets the color and contrast level of the background color of the subtitle area. Click the color swatch to choose from the sixteen colors in the pop-up color palette. Use the up and down arrows to set the contrast to one of sixteen levels, from 0% (transparent) to 100% (opaque). The default color/contrast setting for the background area is 0% white.

Color Tab

The Color tab allows you to change the default colors and contrast of subpictures used for menus and subtitles. Changes to these settings do not affect any subpictures that are already present in the current project.

Figure 1: Color tab of the Project Settings dialog

A subpicture is a four color image. Each color serves as a mask to define an area of the screen. The Color tab is used to map these masks to the actual colors and contrast levels that will appear in the four areas on-screen when the subpicture is displayed.

In Figure 1, the column of color swatches on the left side of the tab indicates the original colors of the subpicture mask, while the other three columns indicate the colors and contrast levels to which the original colors will be mapped in three different playback conditions (Display, Selection, Action). For example, the blue (Color 1) areas of the subpicture will map to a 100% blue Display Color, 100% magenta Selection Color, and 100% medium gray Action Color.

To change a given color mapping, click a color swatch and choose from the sixteen colors in the pop-up color palette. Use the up and down arrows to set the contrast to one of sixteen levels, from 0% (transparent) to 100% (opaque).

Display Color Defines color mapping and contrast values for subpictures displayed in their “default” state (no button selection or activation).

Selection Color Defines color mapping and contrast values for subpictures within the hotspot area of a menu button when the button is selected.

Action Color Defines color mapping and contrast value for subpictures within the hotspot area of a menu button when the button is activated (by pressing Enter on the remote).

Color Palette Tab

The Color Palette tab is used to define the 16-color palette used in the current project. This color palette determines which 16 colors are available for assignment to subpictures and subtitles, both in the Preview window and in the Color tab of the Project Settings dialog.

Color Palette tab of the Project Settings dialog

Note: Any changes to the color palette will affect all existing subpictures and subtitles that refer to those colors changed.

The DVD-Video specification supports 4-bit color palettes for subpicture overlays (subpictures and subtitles), meaning that at any given time 16 different colors are available out of a possible 16 million. In ReelDVD, a single color palette, set in the Color Palette tab, is used for the entire project.

To change a color in the Color Palette, simply click the color swatch you want to change. The standard Windows Color dialog will appear, from which you can select a new color, after which the RGB values for the new color will be displayed in the swatch.

Layout Settings Tab

The Layout Settings tab is used to choose options related to the output of a disc image with the Make Disc command. These choices determine the default settings for the options in the Make Disc dialog (see Make Disc Dialog).

Layout Settings tab of the Project Settings dialog

Layout Options specify the directories that should be used to store the files that ReelDVD creates in preparation for outputting to disc or DLT:

Disc Image Indicates the directory where ReelDVD will output its work files and final disc image during the Make Disc operation. To avoid conflicts between projects, a new, empty Disc Image directory should be selected for each new ReelDVD project. Clicking the Browse button will bring up a Browse for Folder dialog that will allow you to select an existing folder. You must create the target folder outside of ReelDVD before it can be selected here.

Once the Disc Image directory is set, ReelDVD will automatically fill in the DVD Video and Temporary Files fields. The values shown will represent paths for subdirectories that ReelDVD will automatically create within the Disc Image directory during the Make Disc operation.

DVD Video Indicates the directory where the DVD-Video files (VIDEO_TS directory) will be written during the Make Disc operation. By default, this directory is defined by ReelDVD as the Zero (“0”) directory beneath the Disc Image directory. However, the hard drive on which the directory resides must have free space equivalent to at least twice the size of the entire project. If there is not enough disk space available, use the Browse button to choose a DVD-Video directory that does not reside on the same hard drive.

The “Delete when done” option tells ReelDVD to remove the files in the DVD-Video directory once the Disc Image file is created. The default setting for “Delete when done” is on (checked). Uncheck this option if you plan to use the DVD player software bundled with ReelDVD to test playback of your project from the hard drive.

Temporary Files Indicates the directory where ReelDVD creates temporary files during the “multiplexing” phase of the Make Disc process. By default, this directory is assigned as the “mux_data” directory beneath the Disc Image directory. However, the hard drive on which the directory resides must have free space equivalent to at least twice the size of the entire project. If there is not enough disk space available, use the Browse button to choose a Temporary Files directory that does not reside on the same hard drive.

The “Delete when done” option removes the files in the Temporary Files directory once the Disc Image file is created. The default setting for “Delete when done” is on (checked). Unchecking this option can cut down on the processing time of subsequent Make Disc operations, but will also use disk space equivalent to the size of the project.


Select Layers Dialog

As described earlier (see Subpicture Streams), a DVD menu is a Track that combines a still image background (in the video stream) with a subpicture overlay and button hotspot information. The Select Layers dialog allows ReelDVD to automatically generate overlays and hotspots from existing layers in an Adobe Photoshop image (see Importing Layered Photoshop Images).

Select Layers dialog

The Select Layers dialog is accessed by dropping a layered Photoshop (.psd) image file onto the ReelDVD Storyboard area. In response to the prompt, select either “Still Menu with Sub-picture” or “Slide Show with Sub-picture.” When the OK button is pressed, ReelDVD uses the visible layers specified in the dialog as masks to automatically create menu button hotspots.

The subpicture mask created by the Select Layers dialog is stored in the same directory as the original Photoshop source file. It is stored in Windows Bitmap (.bmp) format and given a name based on the original source files name: <file>_sp.bmp. If a file already exists with this name, ReelDVD will add an incremental digit to the end of the name in order to ensure a unique name (e.g. <file>_sp1.bmp).

The Select Layers dialog is made up of the following elements:

Subpicture Image A display area showing the subpicture mask that will be created for the new Track. If no layers have been activated for this mask, the display says, “Subpicture image is not defined.”

Still Image A display area showing the complete, flattened image (all layers in the original Photoshop file that were set to visible in Photoshop) that will be used as the background for the menu being created. Only visible layers in the Photoshop file will appear in this image.

Show Overlay When checked, this option overlays the Subpicture Image onto the Still Image display, allowing you to confirm the alignment and registration between the two images.

Layers List The Layers column shows the name of each layer in the original Photoshop file that was set to visible in Photoshop, as well as a thumbnail of the subpicture mask each layer will create in ReelDVD.

Visible Indicator Like the Visibility setting in Photoshop’s Layers palette, clicking the Visible indicator (the eye icon) for a given layer will toggle that layer’s mask between visible and invisible. If a layer’s indicator is set to visible, a menu button hotspot will automatically be defined corresponding to that layer’s mask. The visibility setting of a layer in the Layers list has no effect on the background image. By default, all of the layers are preset to visible when the file is first imported.

In addition to creating button hotspots, ReelDVD will also define standard links between the button hotspots based on their location with respect to one another. As with the buttons on any menu, these hotspots and links can subsequently be modified in the Preview window.


Sort Tracks Dialog

The Sort Tracks dialog displays the order in which the Tracks will be written to the DVD, and allows you to change that order, which can reduce seek times between Tracks in complex projects.

Sort Tracks dialog

The Track order also affects the numbering of chapters by ReelDVD. Chapters within a track are always ordered sequentially; the chapter number counts up from the first track and continues in order through the other tracks in the project.

To access the Sort Tracks dialog, select Sort Tracks from the Track’s menu. Within the dialog, Tracks are re-ordered by clicking and dragging on the thumbnails in the Track list.

Note: The first Track in the list is the Track pointed to by the AutoStart icon in the Storyboard area, and is thereby is defined as the Entry Track for the disc. This track cannot be moved in the Sort Tracks dialog. Use the Storyboard area to designate a different Entry Track if the order of this track must be changed.


Create Subtitle Dialog

Subtitles (but not menu subpictures) can be created directly within ReelDVD using the built-in subtitle generator, which is accessed by clicking the New Subtitle button at the lower left of the Track window. If the green timeline indicator in the Track window is not within the time-frame of an existing subtitle in the selected subpicture stream, the dialog allows you create a new subtitle. If the indicator is within the time-frame of an existing subtitle that was created internally by ReelDVD, you can use the dialog to edit the text and the settings for that subtitle.

Create Subtitle dialog

The Create Subtitle dialog is comprised of four sections: font attributes, text input area, screen location and duration fields, and color definitions. The dialog allows you to type in the subtitle text, and also to specify subtitle parameters such as Font, Size, Style, Alignment, Location, and Colors. The default settings for these parameters are set on the Subtitle tab of the Project Settings dialog box (see Subtitle Tab for an explanation of these parameters). Both the text and the parameter settings can subsequently be modified at any time.

Each time you make changes to the parameter settings in the Create Subtitle dialog, the changes are in effect the next time you open the dialog. If you want to change the attributes of a series of subtitles, set the attributes for one subtitle, then open each successive subtitle and click OK to apply the attributes.

The Create Subtitle dialog is also used to set the timing of the display of each subtitle:

  • The From field is used to specify the starting time code of the subtitle. By default, ReelDVD sets the start time of each subtitle based on the position of the green timeline indicator in the Track window at the time the Create Subtitle dialog is opened. Note that the start time can also be changed in the Track window by dragging the subtitle’s segment in the subpicture stream.
  • The To field determines the ending time code of the subtitle. The default duration for subtitles is two seconds. Note that the subtitle duration can also be set in the Track window by dragging on the edges of the subtitle’s segment in the subpicture stream.


Make Disc Dialog

The final step in creating a DVD, after the title is authored and thoroughly checked in simulation, is to premaster the DVD disc. The process involves entering the disc name, setting the directories into which the DVD data will be written, and outputting DVD-Video and disc image files. You can also choose to write the disc image directly to a CD-R or DVD-R. These steps are handled in the Make Disc dialog. Default settings for the dialog are set in the Layout Settings tab of the Project Settings dialog (see Layout Settings Tab).

Make Disc dialog

The operations covered in the Make Disc dialog are organized into two steps:

Step 1 – Choose Operation and Press Start

Create DVD Video Files Multiplexes the MPEG content and creates the VIDEO_TS directory in the target DVD-Video directory (specified in Step 2). This action must be completed before the following two can be performed. Activating this option enables the Step 2 options to be set. (Also known as performing a “layout.”)

Create Disc Image File Reads the DVD Video directory specified in Step 2 and creates the disc image file in the Disc Image directory specified in Step 2. (Also known as “formatting.”)

Write to Device Writes the disc image file from the Disc Image directory to the specified disc or tape device.

Simulate Write If the target device specified in “Write to Device” is a CD-R, CD-RW, DVD-R, DVD-RW, or DVD+RW drive, the Simulate Write option allows you to check the system configuration by completing the output process without actually writing to the disc.

Verify Output If the target device specified in “Write to Device” is a DLT drive, the Verify Output option verifies that the data has been properly written to the DLT tape by performing a byte-for-byte comparison with the data on the hard drive. While this doubles the processing time of the output, it is recommended that the DLT output always be verified.

Step 2 – Choose Disc Name and Target Directories

Disc Name, Disc Image, and DVD Video Default settings for these parameters are set in the Layout Settings tab of the Project Settings dialog (see Layout Settings Tab).


Planning and Preparation

Because DVD allows the combination of multiple media types, authoring a project with ReelDVD is a process of media integration. However, authoring is one of the final steps in the overall process of creating a DVD-Video disc, because the various media assets (video, audio, subpictures and still images) must be properly prepared before they can be integrated. Also, because DVD is an interactive medium, a DVD title can be much more complicated than a program on a linear medium like videotape. So DVD projects must be very carefully planned to ensure that they actually turn out as envisioned.

This section includes the following topics:

  • Overview of the DVD Production Process
  • Preparing Assets
  • Video Assets
  • Audio Assets
  • Still Image Assets
  • Subpicture Assets
  • Subtitle Assets


Overview of the DVD Production Process

As with similar processes for other interactive multimedia formats, the preliminary design steps for DVD-Video include the following:

  • Creating a project plan, such as a script or flowchart, that illustrates the program flow of the DVD. The plan will define the content that is included, the menus that are needed, and the destination or consequence of activating each option on every menu (e.g. a given button begins playback of a given video clip, while another button takes you to a menu to set the soundtrack language).
  • Creating a list of the individual assets (video, audio, stills and subpictures) that make up both the content and the menus defined in the plan.
  • Preparing the assets in a way that makes them usable within the framework of the DVD-Video specification.

Once the planning is complete and the assets are prepared, ReelDVD makes the final authoring steps surprisingly fast and easy. These steps are explained in detail in Asset Import and Authoring and Simulation and Writing. They include:

  • Adding the video assets
  • Adding audio streams to the video
  • Adding captions or subtitles
  • Inserting chapter breaks
  • Creating slide or still shows
  • Creating menus, and defining menu buttons and the button paths
  • Adding navigational commands to menus and other assets

While it is easiest to explain these authoring steps in a linear order, the actual order in which they are executed is generally a matter of individual preference. At any stage in the process, you can simulate playback of your project or of individual assets using the built-in Preview window.

Project Planning Rules

The DVD specification spells out exactly what kinds of data can be included in a DVD-Video title, and how that data is organized. ReelDVD also makes certain additional assumptions about the source assets used in a project. To ensure that a project will play back correctly on a DVD player, it’s crucial to keep these rules in mind during title planning and development. The rules include:

No Mixing of Video Encoding Types in a Project

DVD-Video supports playback of motion video and still images encoded in either the MPEG-1 or MPEG-2 video format. But it is not allowed to mix the two video formats within a single project. (It is, however, acceptable to vary the encoding parameters—bit rate, for instance—of visual content within a project.) Once video assets of one format have been imported into a project, ReelDVD will no longer accept assets of a conflicting format for that project.

No Mixing of Video Frame Sizes in a Project

All of the motion video and still images in a project must have the same frame size Acceptable sizes for NTSC are 352x240, 704x480, or 720x480; for PAL they are 352x288, 704x576, or 720x576.

No Mixing of Video Aspect Ratios in a Project

All of the content in a project must be of the same aspect ratio, either 4:3 Standard or 16:9 Widescreen. It is not possible to mix content of different aspect ratios. Once video assets of a given aspect ratio have been imported into a project, ReelDVD will no longer accept assets of an alternate aspect ratio for that project.

No Pan & Scan Video

ReelDVD does not support the use of Pan & Scan video. Because few video encoders are capable of creating Pan & Scan content, this constraint rarely has any practical impact.

No Mixing of Audio Formats or Bit Rates in a Stream

ReelDVD supports up to eight audio streams per Track, each of which is assigned a number (1–8). Once the audio format and bit rate of a given stream is defined in any Track in the project, the audio streams of the same number in all other Tracks of the project are reserved exclusively for audio in that same format and bit rate. For example, if the audio format of the first source-file assigned to stream #2 in any Track is Dolby Digital (2/0) encoded at 192Kbps, then whenever audio stream #2 is used in any other Track it must use Dolby Digital (2/0) encoded at 192Kbps. (This means it is not possible to include both Dolby Digital and Linear PCM in the same stream number in a project.) ReelDVD will generate an error message if you attempt to mix audio formats or bit rates in a stream.

No Gaps in Audio or Subpicture Stream Numbers

In each Track, audio and subpicture streams must be used in ascending numerical order. In other words, for each stream type (audio or subpicture), a stream of a given number can only be used if the Track also uses streams of a lower number. For example, to use audio stream #3, you must also have data in streams #1 and #2. In situations where no actual data is needed in a given stream position, placeholder data (a few seconds of silence or a single transparent subpicture) can be used to comply with this requirement. During authoring, ReelDVD assumes that any gaps in stream numbers will be filled with additional stream data before the project is compiled. If gaps remain when the Make Disc operation is started, ReelDVD will abort the process and generate an error message.

Linear PCM or Dolby Digital Audio Data Required for NTSC Projects

If a project using NTSC video contains any audio at all, the DVD specification requires that it contain at least one stream of audio in Linear PCM or Dolby Digital. The project can also contain an optional stream in MPEG Audio, but playback support for MPEG audio is not required of NTSC DVD players. If an NTSC project is created with only MPEG Audio, ReelDVD will abort the layout process and generate an error message.

Note that PAL DVD players are required to support all three audio formats, and therefore one is allowed to create a PAL title using only MPEG Audio. However, due to reports of players that may not play back MPEG Audio correctly, its use is not widely recommended.


Preparing Assets

Preparing the assets for a given project means not only creating the individual media elements (videos, audio, still images and subpictures), but also ensuring that those elements are compliant with the requirements of the DVD-Video specification. The assets must also be in formats that can be used by the authoring application.

ReelDVD supports the following file and data formats:

Video | MPEG-1 | NTSC, 320x240 PAL, 320x288 Bit Rate, Max 1.5 MBps
 | MPEG-2 | NTSC, 720x480, 704x480, 320x240 PAL, 720x576, 704x576, 320x288 Bit Rate, Max. 9.8 MBps
Audio | Dolby Digital (AC-3) | 48 KHz, stereo, 5.1 ch
 | AIFF, WAVE* | 48 KHz, 16-bit or 24-bit, stereo
 | MPEG Audio* | 48 KHz, stereo
Still Images | MPEG-1, MPEG-2 | One frame, same size as video
 | BMP, JPEG, PICT, TIFF, Targa, Photoshop | NTSC, 720x480, 704x480, 320x240 PAL, 720x576, 704x576, 320x288
Subpictures | BMP, JPEG, PICT, TIFF, Targa, Photoshop | NTSC, 720x480 (max.) PAL, 720x576 (max.)

Note: ReelDVD can transcode PCM and MPEG Audio files to Dolby Digital (2/0) format. ReelDVD does not support LZW-compressed TIFF files.

Bit Rates and Bandwidth

Most of the file formats allowed by the DVD specification were chosen because they support data compression to reduce the bit rate of the source media to fit within DVD’s available bandwidth. In DVD, bandwidth and bit rates are commonly expressed as megabits per second, or Mbps.

Bit Rate The amount of data in a given stream as measured over a given unit of time.

Bandwidth The maximum bit rate that a given data storage or transmission system can read from the storage medium or transmit across a network.

In DVD, the maximum bandwidth available for program data is 9.8 MBps. That means the combined bit rates of the video stream and all audio and subtitle streams must fall within that limit. The more bandwidth allocated to audio, the less there is left for video, which can affect the quality of the video presentation.

There are two main areas in which you can affect the bit rates of the streams you use in order to ensure that the total falls within the 9.8 MBps limit:

Audio Both the format of the audio streams you use and the number of those streams have a big impact on total bit rate. Two-channel audio can range from 0.192–1.5 MBps or more. For example, using three audio streams at 1.5 MBps each would mean that only about half of the available bandwidth would be left for video.

Video Video encoding systems allow you to specify the bit rate of the encoded video. After the number and format of audio tracks is known, it is possible to determine how much bandwidth is left for video. Depending on the length of the video material and the capacity of the disc (650 MB for CD, 4.7 GB for DVD, etc.), the video bit rate is generally set as high as possible without exceeding the remaining available bandwidth.

Video Assets

The following table lists required encoding parameters for video used in ReelDVD projects.

System | Condition | Details
NTSC 29.97 frames/ second (see note) | Encoding | MPEG-1, MPEG-2 (constant and variable bit rates)
 | Bit Rate | MPEG-1: 1.856 MBps; MPEG-2: Max 9.8 MBps
 | GOP size | Max. 18 frames (36 fields), closed GOP
 | Aspect ratio | 4:3 or 16:9
 | Image size | 720x480, 704x480, 352x240 (for MPEG-1)
PAL 25 frames/ second | Encoding | MPEG-1, MPEG-2 (constant and variable bit rates)
 | Bit Rate | MPEG-1: 1.856 MBps; MPEG-2: Max 9.8 MBps
 | GOP size | Max. 15 frames (30 fields), closed GOP
 | Aspect ratio | 4:3 or 16:9
 | Image size | 720x576, 704x576, 352x288 (for MPEG-1)

Note: The 29.97 fps frame rate is required by the DVD specification when encoding NTSC data. 30 fps is commonly used in video, but will not work in DVD.

MPEG Encoding

The video codec (encoding/decoding system) used in the DVD-Video format is MPEG. The purpose of MPEG encoding is to reduce the amount of data required to store a series of frames while still allowing that series be reconstructed accurately by an MPEG decoder.

An MPEG encoder works by identifying picture information that is redundant from frame to frame, and converting that information into a code that can be stored more efficiently than the original signal. Depending on the degree of data-compression (how low a bit rate is used), the encoder can also treat similarly-colored pixels that are adjacent as if they are the same color. That means that some color information from the original image is lost, which can lead to reduced detail and “blocky” artifacts that noticeably degrade picture quality.

In static scenes, where there is very little frame-to-frame change in the color value of each pixel, frame-to-frame redundancy is high. That makes it easy for an encoder to store the scene at a relatively low bit rate without impacting picture quality. In fast-paced, visually complex scenes, less information is frame-to-frame redundant, so more bits are required to capture the details of the scene accurately.

CBR and VBR

MPEG-2 video can be encoded in one of two ways: either at a constant bit rate (CBR) or a variable bit rate (VBR). The situations in which each is used depends on the content of the video image, the length of the program material, and the size of the disc used (4.7 GB DVD-5, 8.5 GB DVD-9, etc.).

In CBR, the video is encoded at a consistent bit rate over the entire length of the program, regardless of the complexity of the material being encoded. Thus the average and the maximum (peak) video bit rate are the same.

In VBR, the bit rate is varied depending on the complexity of the material, with bits conserved in simple, static scenes so that they can be allocated to complex images or fast-moving sequences. A program might be encoded at the same average bit rate as with CBR, but the peak bit rate in complex scenes might be far higher than the average. This generally yields superior image quality in complex scenes, without adversely impacting static scenes. VBR can alternatively be used to get comparable quality to CBR but at a lower bit rate.

VBR offers an advantage over CBR only when the program material is beyond a certain length, determined by the overall capacity of the disc. On a DVD-5 (4.7 GB), for instance, if the program is shorter than about one hour, the average bit rate (the data capacity available for video divided by the duration of the video) is limited by the DVD format’s peak bit rate of 9.8 MBps, meaning that there are just as many bits available for complex scenes with CBR as with VBR. But as the length of the program increases, so too does the potential advantage of using VBR.

VBR encoding generally requires two (sometimes three) playback passes of the material being encoded. The encoder evaluates rate-of-change for each sequence of frames as peak, average, and minimum. After the system performs its analysis, the operator generally can intervene to perform final adjustments to the encoded results.

Aspect Ratios and 16:9 Content

The aspect ratio (proportion of horizontal to vertical) of a standard television screen is 4:3. Theatrical films, however, have been shot for decades in widescreen aspect ratios, and many consumer and professional video cameras also now support a 16:9 aspect ratio for playback on widescreen televisions. During recording, the 16:9 video is electronically converted into an “anamorphic” signal, with the image horizontally squeezed to fit the standard 4:3 proportions (making the image appear tall and skinny if it is viewed on a standard 4:3 television).

When anamorphic video is played back from DVD on a widescreen television, the image is stretched out by the television to its original 16:9 aspect ratio, giving the full widescreen experience. When the content is played from DVD and displayed on a normal 4:3 television, the DVD player is able to automatically “letterbox” the video. The vertical size of the image is reduced by the DVD player until the picture just fits the horizontal dimension of the screen while still maintaining the intended 16:9 aspect ratio. The extra vertical space above and below is filled with a black matte (the letterbox). The ability of DVD players to letterbox allows greater flexibility for playback of widescreen content.

In order for a DVD player to output video at the proper aspect ratio, it looks for a “flag” in the video stream that indicates whether the content is 4:3 or 16:9. The flag is set during the video encoding process.

The DVD specification does not allow content in two different aspect ratios to be mixed in the same title. All video in a given project must be encoded as either 4:3 Standard or 16:9 Widescreen. Similarly, all still images in a project will be flagged by the authoring tool as either 4:3 Standard or 16:9 Widescreen when they are imported.

Other Encoding Parameters

Many Encoders allow you to adjust other parameters of the MPEG encoding process. Below is a table of recommended values for such parameters. You should consult your encoder’s documentation for a more complete description of the meaning of each parameter.

Parameter | Recommended Value
Frame Rate | NTSC, 29.97 fps (required) PAL, 25 fps (required)
GOP Size (N-value) | NTSC, 15 frames (required <= 18 frames) PAL, 12 frames (required <= 15 frames)
GOP Pattern (M-value) | IBP (M=2) or IBBP (M=3)
Sequence Headers | 1 per GOP (required)
Closed GOPs | Yes (required)
VBV Size | 112 x 16kb units (required)

Video Rules

When choosing among the many options for video assets, the rules for video require consistency in several areas once your choices are made. To recap, all video assets used in a given DVD title must be prepared with the same parameter settings in the following areas:

  • The encoding type (MPEG-1 or MPEG-2).
  • The TV system (NTSC or PAL).
  • The aspect ratio (4:3 Standard or 16:9 Widescreen).
  • The frame size (352x240, 704x480, or 720x480 for NTSC; 352x288, 704x576, or 720x576 for PAL).

Audio Assets

The following table lists the parameters for encoding audio with ReelDVD.

Type of audio | Parameter | Details
Dolby Digital (AC-3) (Can be used with NTSC/PAL) | Format | AC-3
 | No. of channels | 2 (stereo), 5.1
 | Sampling frequency | 48 KHz
 | Bit Rate | 192 Kbps stereo 448 Kbps surround
PCM audio (Can be used with NTSC/PAL) | Format | AIFF, WAVE
 | No. of channels | 2 (stereo)
 | Sampling frequency | 48 KHz
 | No. of bits | 16-bit or 24-bit
 | Bit Rate | 1.536 MBps 16-bit 2.304 MBps 24-bit
MPEG audio (Can be used with PAL) | Format | MPEG audio
 | No. of channels | 2 (stereo)
 | Sampling frequency | 48 KHz
 | Bit Rate | 224 Kbps

The types of audio supported for use in DVD-Video depend on the video system. NTSC players are required to support both linear PCM audio and Dolby Digital (AC-3) audio. PAL players also support MPEG Audio. Each of these formats can be used for mono, two-channel or multichannel (surround) sound, though few DVD players include multichannel outputs for PCM.

PCM Audio

Linear PCM (WAV and AIFF formats) is audio that has been digitized using Pulse Code Modulation. Because it is not data-compressed during the encoding process, PCM is the highest-fidelity audio option, but also has the highest bit rate (leaving less bandwidth available for video).

Because PCM is an uncompressed data format, the bit rate is determined by the following formula:

PCM data bit rate (Kbps) = sample rate (48KHz) x no. of bits x no. of channels

Two-channel PCM audio at 16-bit/48KHz resolution has a bit rate of about 1.5 MBps.

Dolby Digital (AC-3)

Dolby Digital is a format that uses data compression to reduce the bit rate required to deliver sound at acceptable fidelity. The most common channel configurations for the format are Dolby Digital (2/0) and Dolby Digital 5.1.

The bit rate for Dolby Digital is specified during encoding. The recommended bit rate for Dolby Digital (2/0) is 192 Kbps (or 0.192 MBps). The rate for Dolby Digital 5.1 is commonly set to 384 Kbps, but 448 Kbps is preferred.

While Dolby Digital has a Karaoke mode, ReelDVD cannot be used to create Karaoke discs.

MPEG Audio

Unlike support for PCM and Dolby Digital, support for MPEG Audio is not required for all DVD players, particularly NTSC players. ReelDVD supports the MPEG Audio format. However, if you have MPEG Audio content that you would like to use on an NTSC project, ReelDVD is also able to automatically transcode the audio to the Dolby Digital (2/0) format. For information on the Audio Encoding Type for ReelDVD, see Project Tab.

Synchronizing Video and Audio Assets

In general, video source material is accompanied by synchronized audio. However, when the source material is digitized, the video and audio are broken into separate files, which must be resynchronized in the final program. In ReelDVD, one of two methods is used to achieve this synchronization:

Synchronization by Timecode

Dolby Digital audio files support embedded timecode information that can be used to synchronize their audio to timecode information in the video stream. (MPEG and PCM audio files do not contain timecode information.) However, not all encoding systems actually put timecode in the Dolby Digital data they generate (or in the video). Refer to the documentation of your encoding system to see whether this capability is supported. If it is, use it. With timecode in both the video and audio, ReelDVD will be able to automatically synchronize the two (see Audio Streams for information on the Sync button in the Track window).

Synchronization by Aligning the Start of Data

If valid timecode is not available to sync audio and video, or the audio format is PCM, ReelDVD will assume that the audio and video will be in sync if they start at the same time. Manual adjustment of the audio against the timeline in the Track window may be needed to achieve proper sync.

Audio Rules

While you can choose among many options for audio assets, the rules for audio require consistency once your choices are made. The rules include:

  • All audio of a given stream number in a given project must be of the same format (either Dolby Digital, PCM or MPEG Audio) in all Tracks.
  • An audio stream of a given number cannot include both Dolby Digital (2/0) and Dolby Digital 5.1.
  • All data in an audio stream of a given number must be encoded at the same bit rate.

Still Image Assets

ReelDVD supports the following image formats:

 | File Types | Image Sizes
Still images | Photoshop (flattened image), BMP, JPEG, PICT, TIFF, Targa | NTSC, 720x480, 704x480, 352x240 PAL, 720x576, 704x576, 352x288
MPEG files | MPI (MPEG I-frame) | NTSC, 720x480, 704x480, 352x240 PAL, 720x576, 704x576, 352x288

Note: ReelDVD does not support LZW-compressed TIFF files.

The Safe Area

Television monitors are designed to overscan the screen area, meaning that the outer 5–10 percent of the picture on all sides (top, bottom, left and right) is not actually visible to the viewer. The degree of overscan varies depending on the individual TV. (Computer monitors do not overscan).

Safe area

The safe area is the portion of a video picture that will definitely be seen when displayed on a television. When preparing images for DVD, it is important not to place menu buttons and subtitles beyond the safe area (in the 10 percent of the image area that is closest to the edges), where they will not be seen by the viewer. The safe area is not a concern for projects intended for viewing only on computer monitors.

Still Images for 16:9 Widescreen

When creating still images for a 16:9 Widescreen project, special steps are required to ensure that your images appear correctly in the final product. You should create your images initially at a resolution of 854x480. Then, just before importing the image into ReelDVD, resize the image to 720x480, therefore recreating the anamorphic “squeezing” effect that is performed on the widescreen video. When the content is played back, it will be stretched back to its original widescreen aspect ratio.

Note that if you forget to resize your images before importing them, ReelDVD will do so automatically. However, any subpicture overlays you have created for these images may not align properly afterward. See Menu Subpictures for 16:9 Widescreen for more information.

Layered Photoshop Image Files

Still images are generally created in graphics programs such as Adobe Photoshop that allow the artist to use multiple layers to create a composite image. These layers are often “flattened” before the final image is output. ReelDVD, however, allows you to use the layers in a layered Photoshop file (.psd) to automatically define subpicture overlay masks and button hotspots for a menu.

When a layered Photoshop file is imported into ReelDVD, all layers in the original Photoshop file that were set to visible in Photoshop will be flattened into the background image. But these layers will also be displayed in the Select Layers dialog (see Select Layers Dialog), where each layer can be used as a mask that defines the hotspot for one of the menu’s buttons.

Because ReelDVD will treat each visible layer in the Select Layer dialog box as one button, the way the Photoshop file is prepared will determine whether the buttons based on layers will turn out as envisioned. Follow these guidelines when preparing the files:

  • Keep the elements of each button on separate layers (no layer should contain elements of more than one button).
  • When the menu file is ready to be imported into ReelDVD, flatten the elements making up each button onto a single layer (no button should be composed of multiple layers).
  • The layers should appear in Photoshop’s Layers Palette in the order in which you want ReelDVD to number the buttons on the menu. The lower the layer in the Palette, the lower its button # will be in ReelDVD.

Subpicture Assets

A subpicture is an image that is overlaid on top of the program material (motion video or still image) in the video stream. Subpictures are used for menu button highlights and for subtitles.

On menus, subpictures are used in conjunction with a background to create the composite menu image seen by the viewer. For subtitles, subpictures are displayed in series, with multiple subpictures making up a subtitle stream.

In ReelDVD, each subpicture is categorized as one of three specific types: Menu, Simple and Infinite. See Subpicture Streams for a full description of subpictures and subpicture types.

Guidelines for Creating Subpictures

Several different file formats can be used when creating subpicture files for use on menus or as subtitles. The table below outlines some general guidelines:

 | File Types | No. of Colors | Image Size
Still images | Photoshop (flattened image), BMP, JPEG, PICT, TIFF, Targa | 4 (red, blue, black, and white) | NTSC, Max. 720x480 PAL, Max. 720x576

Note: ReelDVD does not support LZW-compressed TIFF files.

Additional rules for creating subpictures include:

  • The subpicture must be the same size as the background image.
  • Up to four RGB colors can be used for subpicture images: red (255,0,0), blue (0,0,255), black (0,0,0), and white (255,255,255).
  • Do not use anti-aliasing on subpicture images. Anti-aliasing smooths the jagged edges of curved or diagonal lines in a bitmapped image by changing the pixels around the lines to different shades of gray or some other color. Because each pixel in a subpicture image is converted to either a specific color or to black or white, when an anti-aliased image is converted the edges of the image become noticeably jagged and uneven.
  • Position menu buttons so that there is no overlap. If the buttons overlap, the button highlights may not appear as expected.

            •

Color Mapping for Subpicture Overlays

Each RGB pixel in the original subpicture mask overlay is mapped to a specified color and transparency for each of the three possible states of menu buttons: (1) menu display, (2) button selection, and (3) button activation.

Figure 2: Color mapping for subpicture overlays on menus

Figure 2 illustrates how the button colors change depending on the button state. The Display Color settings are the initial settings used when the menu is first displayed. The Selection Color settings are used to highlight the selected button as the user navigates the menu; as each button is selected, the colors change only within the confines of the selected button’s rectangular “hotspot” (the defined button area). Finally, when a selected button is activated, the colors used for the selected button change to the Action Colors.

Menu Subpictures for 16:9 Widescreen

As we learned earlier, a DVD player will automatically letterbox 16:9 video and still images for playback on a standard 4:3 television. However, DVD players do not letterbox widescreen subpictures. Instead, a letterboxed subpicture stream must be created during the authoring process.

If your project uses 16:9 video, ReelDVD will automatically create the required letterboxed subpicture stream by reducing the vertical resolution of the original (widescreen) subpicture image. This step is necessary to ensure that the subpicture image is properly aligned with the letterboxed video or still image when displayed on a 4:3 television, but some graphical data is lost in the process. To avoid potential problems with interlace flicker and lost horizontal lines, it is recommended that all horizontal lines in the original subpicture images be at least 4 pixels thick.

Note that the automatic generation of letterboxed subpicture streams is transparent to the ReelDVD user, and does not use any of the subpicture streams per Track that are available in ReelDVD projects. ReelDVD will automatically add one letterboxed subpicture stream for each of the available streams you use.

Subtitle Assets

Subtitles in DVD use the same subpicture overlay capabilities as menu subpictures, and the subtitle color mapping process is similar in principle to menu subpicture color mapping (described in Subpicture Assets).

Color mapping for subtitles

Preparing Subtitle Data

In ReelDVD, subtitles can be added with the built-in Subtitle Editor, or they can be prepared as subpicture images in an external graphics application and then imported into the project. This section provides information on how to prepare external subpicture images for subtitles (see Create Subtitle Dialog for information on using the built-in Subtitle Editor).

Subtitle images are generally created in a graphics program such as Adobe Photoshop. The images need not actually be text; graphical images can also be displayed with DVD’s subtitling feature.

The following guidelines apply when creating subtitle images for import:

  • Image size cannot exceed 720x480 (NTSC) or 720x576 (PAL) pixels.
  • Up to four RGB colors can be used for subpicture images: red (255,0,0), blue (0,0,255), black (0,0,0), and white (255,255,255).
  • Do not use anti-aliasing on subpicture images.
  • For each subtitle stream, save all subpicture image files in the same file format. ReelDVD supports subtitle import from the following formats: BMP, JPEG, PICT, Photoshop (PSD), TIFF, or Targa. (See “Subtitle Naming Conventions” for information on how to name the files.)
  • For each subtitle stream, save all subpicture image files in the same directory.
  • Keep a record of the file names and corresponding start and end timecodes for each subtitle stream.

Subtitle Naming Conventions

The names you give to individual image files in a series of subtitles is important. The name of a subtitle identifies the image, its location within the subtitle sequence, and the type of image it is. ReelDVD creates a subtitle asset folder and registers the subtitle images sequentially.

Use the following convention for naming subtitle images:

ImageName.subpicture#.ImageFormat

Example: a motion video clip with the file name Twilight has one subpicture stream, a series of 150 subtitles. All of the images have been created in the TIFF image format. The images would be named:

Twilight.1.tif
Twilight.2.tif
Twilight.3.tif

…and so forth.

The 150th subtitle file would be named Twilight.150.tif.

Creating a Subtitle Script File

To determine which subtitle settings to use for a particular sequence of subtitle images, ReelDVD looks at a subtitle script file (.sst). You can create the script in any text editor. A typical subtitle script file is shown in Figure 3.

Figure 3: Subtitle script file

About the Script File Settings

The definitions for the script file settings are as follows:

st_format

The identifying number of the subtitle data stream. ReelDVD currently supports subtitle format 2 only.

Display_Start The options are Forced or Non_Forced. When set to Forced the subtitles are always On; Non_Forced means the Subtitle On/Off feature on the DVD player remote control can be used to turn subtitles On or Off.

Pixel_Area The size of the background area for the subtitle image. For NTSC, set to (2, 479). For PAL, set to (2, 576).

Display_Area The location of the subtitle image within the background area. For NTSC, set to (0 2 719 479). For PAL, set to (0, 2, 719, 574).

Color Color codes for the four colors available for subtitle images, selected from the 16 colors in the color palette. Each number corresponds directly to a color in the palette. See Color Palette Tab for information on defining the color palette in the Project Settings dialog.

Contrast The degree of subtitle color contrast. The range is 0 to 15, where 0 is transparent and 15 is opaque.

E2, E1, PA, BG The colors you use in the original subtitle graphic are identified by ReelDVD and mapped to the colors specified in the color setting. Each of these four colors correspond to a subtitle color used in ReelDVD, as follows:

E2 | Outer Edge | Color 1
E1 | Inner Edge | Color 2
PA | Face | Color 3
BG | Background | Color 4

Set the definition as follows:

E2 | 0 | 0 | 255 | ===
E1 | 255 | 0 | 0 | ===
PA | 0 | 0 | 0 | ===
BG | 255 | 255 | 255 | ===

The first three positions are the RGB settings, respectively. The equal signs (===) in the fourth position of the setting tell ReelDVD that the color must match exactly.

Directory The directory path to the subtitle image files.

Note that if the directory path is changed after the subtitle script file is created (if the subtitle folder is moved to a new location), ReelDVD will not be able to locate the subtitle folder. In that case, you will need to edit the directory path in the subtitle script file to set the correct path.

separator The separator line separates the settings from the list of subtitles. You must use at least two # signs in this line.

Subtitle list This is the actual list of subtitles that ReelDVD imports into the subpicture stream. Note that START and END timecodes should not overlap, and that subtitles should not cross chapter breaks in a video track.

SP_NUMBER | The number of the subtitle in the subtitle stream.
START | The start time of the subtitle. 00:01:05:00 = hour:minute:second:frame
END | The end time of the subtitle. 00:01:07:05 = hour:minute:second:frame All subtitles that have an end time are defined as Simple subtitles; place a “–” (dash) instead of a timecode in the END field to set a subtitle to Infinite. See Subpicture Streams for a description of the Simple and Infinite settings.
FILE_NAME | The name of the subtitle image. Note that there is a naming convention you must use when creating subtitles. See Subtitle Naming Conventions for details.

Subtitles in 16:9 Widescreen Content

Simple and Infinite subtitles (see Subpicture Streams) generally contain text, which tends to become distorted and difficult to read when resized. These subtitle types also do not require exact positioning with respect to the background. For these reasons, in Widescreen 16:9 projects ReelDVD handles Simple and Infinite subpictures for subtitles differently than it handles Menu subpictures (see Menu Subpictures for 16:9 Widescreen).

For subtitles, ReelDVD does not automatically create an additional subpicture stream containing subtitle images that have been resized for letterboxed display. That means that when subtitles are viewed on a 16:9 Widescreen television, the subtitles will tend to be wider than normal because their pixels are stretched to a 16:9 aspect ratio. (This distortion has far less impact on readability than would resizing the images.)


Asset Import and Authoring

Once a project’s assets are prepared, the assets are imported into ReelDVD, where the project is authored and output in the DVD-Video format. DVD authoring involves not only defining the content of a project’s Tracks—the video, still images, audio and subpictures—but also defining the title’s behavior and navigational flow.

While it is easiest to explain the importing and authoring steps in a linear order, the actual order in which they are executed is generally a matter of individual preference. Assets can be imported into many of a project’s Tracks first, and then the behavior of the Tracks authored later. Or each Track can be populated with assets and authored before moving on to the next. At any point, you can simulate playback of the current state of your project using the built-in Preview window.

This section includes the following topics:

  • Importing Assets
  • Defining DVD Behavior
  • Using Templates in ReelDVD


Importing Assets

The content that makes up a DVD title is grouped into linear playback units known as Tracks. The core stream that defines each Track is its video stream, which can be motion video or one or more still pictures. A Track can also include audio, subpicture and button highlight streams. The data that makes up these streams comes from the files of assets prepared for the project (see Preparing Assets).

Note that in an existing Track, the source file for any stream can be replaced with a different file. Select the stream by clicking it in the Track window. Then click the browse button (“...”) next to the filepath field at bottom. This brings up the Select File dialog, which you can use to change the source file.

This section includes the following topics:

  • Importing Video
  • Importing Still Images
  • Importing Audio
  • Importing Subpictures and Subtitles

Importing Video

Each Track is built around a single video stream, which can be either motion video or one or more still images. See Motion Video Streams for a full discussion of motion video streams.

To bring a video asset into ReelDVD, drag the icon of the video file from the Explorer window into the Storyboard area. This creates a new Track icon (see Motion Video Streams) and places the video asset into the Track’s video stream in the Track window.

Newly created video stream in the Track window

Importing Still Images

The core stream of a ReelDVD Track can be one or more still images rather than motion video. In DVD, still images are used for one of three different purposes: as backgrounds for still menus, in Still Shows and in Slide Shows. See Still Image Streams for a full discussion of still image streams, including Still Show and Slide Show definitions.

Still Shows, Slide Shows and Menus are each created by dropping a still image source file (see Still Image Streams for supported file formats) into the Storyboard area. A dialog box asks which type of Track you want to create: Still Menu, Still Show, or Slide Show.

Still Shows and Slide Shows

While Still Menus are based on a single still image (the menu backdrop), Still Show and Slide Show Tracks generally contain multiple images. After the Track is created, additional images are added by dragging source file icons from the Explorer window directly into the Track’s video stream. The images will appear in the video stream in the order that they are imported. Once the images are in the stream, however, their order can be modified by dragging.

By default, each still image in a Slide Show is set to display for 10 seconds (Still Show images have no defined duration). You can change an image’s duration by dragging the end of the image’s thumbnail in the stream. For greater precision, durations can also be set by selecting the thumbnail and entering values in the start time and duration attribute fields at the bottom of the Track Editor. The start times of the next or previous slide images will be adjusted automatically.

Importing Layered Photoshop Images

To import a layered Photoshop file, drag the file’s icon from the Explorer window into the Storyboard area. A prompt will appear asking what type of still Track you want to create. Choose “Still Menu with Sub-picture” or “Slide Show with Sub-picture” (which will allows you to create a menu that includes audio). The Select Layers dialog will appear when you click OK. See Select Layers Dialog for information on the specific elements and usage of the Select Layers dialog.

The bottom-most visible layer in the Select Layers dialog box will correspond to button #1 in the menu. In a DVD menu, button #1 is the default button selected when first entering a menu. In addition to creating button hotspots, ReelDVD will also define standard links between the button hotspots based on their location with respect to one another. These hotspots and links can be subsequently modified in the Preview window, just as any other menu’s buttons.

Importing Audio

ReelDVD supports up to eight streams of audio per Track. See Audio Streams for a full discussion of audio streams, including the rules governing audio usage, synchronizing audio with video, and setting audio languages.

ReelDVD can automatically assign a stream number to each audio asset as it is added to the Track. You may want, however, to control the stream number to which a given source file is assigned. That’s because the audio of a given stream number (1–8) in a project must be the same format and language across all Tracks in the project (see Audio Rules).

Audio assets can be imported with one of the following methods:
  • To assign a source file to a specific stream, select the destination Track in the Storyboard Area. Then click the New Audio Stream button in the Track window tool bar at lower left. This will create a new empty stream in the Track window. (You can clear this stream by selecting it in the Track window and clicking the Clear button on the main tool bar, pressing the Delete key, or choosing Edit > Clear.) Then drag the icon of the source file from the Explorer window onto the empty stream.

  • To add an audio stream in the Storyboard window, drag the icon of the source file from the Explorer window onto the icon of the Track in which you want the audio file to be a stream. This method will not work if there are already eight streams in the Track, even if one or more of those streams is empty.
  • To add an audio stream in the Track window, use the Storyboard window to select the Track in which you want the audio file to be a stream. Then drag the icon of the source file from the Explorer window into the Track window. This method will not work if there are already eight streams in the Track, even if one or more of those streams is empty.

Once an audio asset is assigned to a stream, you cannot change its stream number by dragging and dropping it from one stream to another. You can, however, remove (clear) the asset from its current stream. And you can change the source file for any stream by selecting the stream and then clicking the browse button (“...”) to bring up the Select File dialog.

Multiple audio clips can be imported and assembled into a single audio stream (drag the icon of each source file from the Explorer window onto the stream). However, there can be no empty spaces between the audio clips in the stream. The duration of an individual clip in the stream can be trimmed by dragging on the edges of the clip’s segment in the stream’s display in the Track window.

Language Codes and Sync with Video

ReelDVD assigns each audio stream a language code as it is created. The language code for a given stream can be changed with the Language button (see Audio Languages). The default language code assigned to new streams by ReelDVD can be changed on the Languages tab of the Project Settings dialog (see Languages Tab).

ReelDVD has the capability to automatically sync audio files to video timecode as the audio is imported, if the audio file contains timecode information that overlaps with that of the video. See Sync with Video for more information on synchronization.

Importing Subpictures and Subtitles

As described earlier, ReelDVD supports up to 32 streams of subpictures per Track. Each subpicture is categorized as one of three specific types: Menu, Simple and Infinite. Menu subpictures are used for menu button highlights, while Simple and Infinite subpictures are used for subtitles. See Subpicture Streams for a full description of subpictures and subpicture types.

Subpictures can be imported into ReelDVD as individual files or in a batch using a subtitle script. Subtitles (but not menu subpictures) can also be created directly within ReelDVD using the built-in subtitle generator (see Create Subtitle Dialog).

ReelDVD can automatically assign a stream number to each subpicture asset as it is imported into the Track. You may want, however, to control the stream number to which a given source file is assigned. That’s because the subpictures of a given stream number (1–32) in a project must be assigned the same language code across all Tracks in the project (see Subtitle Languages).

Subpicture assets can be imported with one of the following methods:
  • To assign a source file to a specific stream, select the destination Track in the Storyboard Area. Then click the New Subpicture Stream button in the Track window tool bar at lower left. This will create a new empty stream in the Track window. (You can clear this stream by selecting it in the Track window and clicking the Clear button on the main tool bar, pressing the Delete key, or choosing Edit > Clear.) Then drag the icon of the source file from the Explorer window onto the empty stream.
  • To add a subpicture stream in the Storyboard window, drag the icon of the source file from the Explorer window onto the icon of the Track in which you want the subpicture file to be a stream. This method will not work if there are already 32 streams in the Track, even if one or more of those streams is empty.
  • To add a subpicture stream in the Track window, use the Storyboard window to select the Track in which you want the subpicture file to be a stream. Then drag the icon of the source file from the Explorer window into the Track window, and drop it outside of any existing streams. This method will not work if there are already 32 streams in the Track, even if one or more of those streams is empty.

Once a subpicture asset is assigned to a stream, you cannot change its stream number by dragging and dropping it from one stream to another. You can, however, remove (clear) the asset from its current stream. And you can change the source file for any stream by selecting the stream and then clicking the browse button (“...”) to bring up the Select File dialog.

Importing Subtitles

For subtitles, multiple subpicture images can be imported and assembled into a single subtitle stream. Subtitle import can be manual, or in a batch using a subtitle script (see Importing a Series of Subtitles). In general, when more than a few subtitles are involved, it is more efficient to import subtitles in a batch.

When a subpicture stream is first created using the manual import method, the type of the first subpicture added will always default to Menu. If a new subpicture is subsequently added to that subpicture stream, the type of the original subpicture changes to Infinite, and the type of the new picture defaults to Simple. Alternatively, you can select the first subpicture in the Track window and then change it to Simple or Infinite using the drop-down menu at the bottom right. The duration of an individual subtitle in the stream can be trimmed by dragging on the edges of the subtitle’s segment in the subpicture stream.

Importing a Series of Subtitles

ReelDVD can import a series of subpicture images using a subtitle script (.sst) file. The preparation of subtitles for import as part of a series is described in Subtitle Assets.

To import the images referred to in a subtitle script file, drag the script file from the Explorer window onto the Track in the Storyboard area for which the subtitles have been prepared.

Note that if the actual path to the folder containing the subtitle images is different from the path indicated in the subtitle script file, ReelDVD will not be able to locate the subtitle folder. Edit the directory path value in the subtitle script file to set the correct path.


Defining DVD Behavior

Once a project is populated with Tracks, it is possible to author playback flow and user navigation. This involves executing the decisions made in the project plan about the order of content playback, the links from menus to content, and the DVD player’s response to user input via the remote control.

This sections includes the following topics:

  • Defining Chapters
  • Creating Menu Buttons
  • Defining Program Flow
  • Defining Button Commands

Defining Chapters

ReelDVD supports DVD-Video’s ability to navigate directly to individual chapters in a video track. Chapters are accessible through links, and viewers can also navigate chapter-by-chapter using the Skip Forward and Skip Backward keys on the DVD player remote control.

Chapters are created with the New Chapter button on the Track window tool bar (lower left). The new chapter starts at the start of the nearest MPEG Group of Pictures (GOP) to the current location of the green timeline indicator (GOPs generally occur once every half second throughout the video, and usually begin with an MPEG I-frame). A new chapter marker (yellow triangle) will appear in the display area at this location, and a vertical dashed line will appear across the streams in the Track window to show the chapter break.

Video stream with chapter breaks in the Track window

Chapter markers can be moved by dragging them on the timeline. If it is difficult to position the marker precisely, try zooming in with the Zoom button to stretch out the timeline display.

Chapter breaks can be removed. Click to the right of the marker for the chapter break you want to remove. Then click the Clear button on the main Tool Bar, press the Delete key, or choose Edit > Clear.

Note: DVD-Video does not support adding chapters to Stills, Slide Shows or Still Shows. Also, some DVD players may have trouble playing tracks with greater than 72 chapters defined, although the DVD specification allows for up to 99.

Creating Menu Buttons

Visually, a menu is made up of a background image and a subpicture overlay that are composited to create the menu image seen by the viewer. A menu also includes a button highlight stream containing both the hotspot definitions and the commands for on-screen buttons (see Button Highlight Stream).

After the background image and corresponding subpicture have been imported into a menu Track, the button hotspots (up to 36 for 4:3 Standard, 18 for 16:9 Widescreen) and commands are defined in the Preview window.

  • A hotspot is the rectangular area of the screen that is assigned to a given menu button. This rectangle determines the area that will be affected by Selection and Activation colors when the viewer uses the Up/Down/Left/Right and Enter keys on the remote control. If the DVD is played in a computer-hosted DVD-ROM drive, a button’s hotspot defines the area of the screen within which that button will respond to mouse rollovers and clicks.
  • Button commands tell the DVD player what to do when a given button is activated. Buttons created in ReelDVD can link to another Track, link to a Chapter within a Track, or can have “No Operation” (“Nop”).

To create a button hotspot, start with the Track selected and the Preview window in Design mode (see Design Mode). Click the Create Button tool on the Preview window tool bar, which sets the cursor to New Button mode. Click and drag in the Preview window display to define the rectangle of the new button hotspot. The hotspot area you define will normally correspond to graphical elements in the background image or the subpicture overlays.

Preview window tool bar

Note that buttons are numbered by ReelDVD in the order they are created. The first hotspot you define should be for the button that you want selected by default when the viewer arrives at the menu.

Defining Button Paths

Paths between buttons define the order in which button selection moves around the menu in response to the Up, Down, Left and Right keys on the remote. To define these paths, choose the link type (Up, Down, Left or Right) from the button link tools in the center of the Preview window’s tool bar. Then click within the hotspot of one button and drag to the hotspot of the destination button. See Button Link Tools for more information on button paths.

Menu with button links

Defining Subpicture Colors

In DVD’s subpicture system, each of the four colors in a subpicture image file is used as a mask to define a complex region of the screen, much like a video color key mask. The actual color that appears in each of these four areas during playback, as well as the contrast value (opacity) of each color, defaults to values set in the Highlight colors tab of the Project Settings dialog (see Color Tab). The same is true for the colors and contrast used within button hotspots when a button is selected and when it is activated.

The default color and contrast values can be modified for any given menu using controls in the Preview window as follows:

  • Use the color mode buttons in the right part of the Preview window tool bar to select Display, Selection or Action mode (see Viewing Modes and Color/Contrast Settings).
  • To change the color mapping for a given color (1 through 4), click the indicator for that color (below the Preview window tool bar) and select a new color from the pop-up palette defined on the Color Palette tab of the Project Settings dialog (see Color Palette Tab).
  • To increase or decrease the contrast, click the “+” and “–” buttons on either side of the color indicator. The DVD specification supports sixteen contrast levels ranging from 0% (transparent) to 100% (opaque).

Note that areas of the subpicture that are not within any button hotspot will not be affected by the settings in the Selection or Action modes.

Defining Program Flow

The core of DVD authoring is defining the flow of the program. This includes designating special Title and Menu Tracks and defining the playback order of content (motion video, Still Show, and Slide Show Tracks) and menus.

Layout of a typical project in the Storyboard area

Much of the work of defining program flow is done in the Storyboard area. Before you begin, it’s recommended that you organize the Tracks in a way that corresponds visually with your intended program flow as defined in the project plan.

Auto Play, Title, and Menu Tracks

ReelDVD’s Storyboard area contains three special icons (Auto Play, Title, and Menu), each of which is used to define Tracks that have a special function in the program flow (see also Auto Play, Title, and Menu Icons).

Auto Play, Title and Menu icons in the Storyboard area

  • The Auto Play Track is automatically defined by ReelDVD as the first Track created in the project. (If that Track is cleared, the Track that was created next becomes the Auto Play Track.) A yellow arrow from the Auto Play icon to the Track indicates that this Track will play automatically when the disc is first inserted into the player or drive. The Auto Play Track is usually used for the opening sequence, copyright notices and other important introductory information.
  • To designate the Track that will play when the viewer presses the Title key on the remote control, position the cursor over the bottom of the oval Title icon. The word “CMD” (command) will appear next to the cursor. Drag a link from the icon to the Track you want to designate.
  • To designate the Track that will play when the viewer presses the Menu key on the remote control, position the cursor over the bottom of the oval Menu icon. The word “CMD” (command) will appear next to the cursor. Drag a link from the icon to the Track you want to designate.

Track-to-Track Links

A DVD title can include a series of video segments that are intended to go from one to the next without any action by the viewer, or to go from the end of a video segment directly to a menu. This flow is achieved by adding Next Track links to the Track icons that represent the DVD’s video content in the Storyboard area. In addition, Previous, Next, and Return Track links are used to define the project’s behavior when the viewer presses various keys on the remote control (see also Track Icons):

Next, Previous, and Return links in the Storyboard area

  • To create a Next Track link (blue Link Arrow) position the cursor over the right side of the current Track icon. The word “NXT” (next) will appear next to the cursor. Drag a link from the icon to the Track (content or menu) that you want playback to jump to when the current Track ends. This is also the Track that the player will jump to when the viewer presses the Skip Forward key on the remote control.
  • To create a Previous Track link (red Link Arrow) position the cursor over the left side of the current Track icon. The word “PREV” (previous) will appear next to the cursor. Drag a link from the icon to the Track you want the player to jump to when the viewer presses the Skip Backward key.
  • To create a Return Track link (green Link Arrow) position the cursor at the top of the current Track icon. The word “UP” (go up/return) will appear next to the cursor. Drag a link from the icon to the Track you want the player to jump to when the viewer presses the Return key.

Note: Deleting a Track will clear all links to and from that Track.

Defining Button Commands

Another aspect of defining the flow of the program is to define button commands. A button command can link from the current Track to another Track (magenta Link Arrow) or to a chapter within a Track (orange Link Arrow). Until its command is defined, a button is referred to as having No Operation (“Nop”).

Button command links in the Storyboard area

When one or more buttons are created in a Track (see Creating Menu Buttons), the Command (CMD) Track link indicator appears at the bottom of the Track icon.

To create a link from a button in the Track to another Track or a chapter within a Track:
  1. Position the cursor over the indicator at bottom, center of the Track icon. The word “CMD” (command) will appear next to the cursor.
  2. Drag a link from the Track icon (the originating Track) to the Track you want playback to jump to when the viewer activates the button by pressing the Enter key on the remote (the destination Track).
  3. If the destination Track has more than one chapter, the Select Chapter dialog opens. Select from the destination chapter (by clicking its thumbnail). To link to the beginning of the Track, click the first thumbnail. The Select Chapter dialog closes.

            4.

  4. When the Choose Command Button dialog appears, showing the menu’s background image with the hotspot areas of the menu’s buttons, click within the hotspot of the button that you want to use for the link. The dialog will close and a Link Arrow will appear in the Storyboard area showing the path of the link from the originating Track to the destination track. The button’s number will be shown on the arrow.

Note: Deleting a Track will clear all links to and from that Track.


Using Templates in ReelDVD

Templates allow the reuse of a project’s structure, but with different content. This can be a tremendous time-saver, allowing you to easily create multiple discs that have a similar navigational flow and menu organization, without having to re-author each time. Any existing ReelDVD project can be saved as a template.

This section includes the following topics:

  • Creating a Template
  • Opening an Existing Template
  • Substituting Assets within a Template

Creating a Template

To save a ReelDVD project as a template:
  1. With the project open in ReelDVD, choose File > Save As.
  2. When the Save As dialog appears, choose Storyboard Template (*.stt) in the “Save as type” drop-down list. The directory shown in the “Save in” drop-down list will automatically change to the Project Templates folder in the ReelDVD installation directory. Templates must be stored in this folder to be automatically recognized by ReelDVD.
  3. Type a name for the template file in the “File name” field. Note that names longer than 14 characters may be truncated when the file name is later displayed in the New Project dialog box.

Opening an Existing Template

To use a ReelDVD project template:
  1. Press the New Project button on the Tool Bar, choose File > New, or press Control+N on the keyboard. If any templates have been saved to the Project Templates subdirectory, the New Project dialog will open; if not, ReelDVD will automatically default to a blank project.
  2. Each template in the Project Templates subdirectory will be displayed as an icon in the New Project dialog, along with an icon for “Blank Storyboard.” Click an icon to select a template, then click OK. The dialog will close and ReelDVD will open the template.

Opening a template is essentially like opening a copy of the project on which the template is based. The new project can be modified in any way—including the deletion of Tracks and changing of links—without modifying the template itself or the project on which it is based.

Substituting Assets within a Template

When a template is opened in ReelDVD, all of the file references from the project on which the template is based will still be intact. To use the template with different content, you replace those references with references to new source files prepared for the new project.

To substitute asset references on a track-by-track basis:
  1. Select a Track in the Storyboard area.
  2. In the Track window, select an asset in the video stream (if the Track is a Slide Show or Still Show, there can be multiple assets in the stream; repeat the steps below for each asset).
  3. Click the Browse button (“...”) next to the filepath field at the bottom of the Track window. The Select File dialog will appear. Use the dialog to choose a replacement source file.
  4. Repeat the previous steps as needed for each audio and subpicture asset in the Track.

You may not need to replace all assets in the project. For instance, if the main menu of the new project offers the same choices as the main menu of the project on which the template is based, the references for that menu Track need not be modified.


Simulation and Writing

When all of a project’s Tracks are populated and the navigational flow is entirely defined with links, the project should be thoroughly tested to confirm that it behaves as intended. Before taking the time to compile the project, you can get a good idea of how the project behaves by using the simulation mode in the Preview window.

Once you have corrected any problems found during simulation, you can create the DVD-Video files and play them from the hard drive with Sonic CinePlayer. This allows you to further test the project, and demonstrate it to clients or co-workers, if necessary.

Finally, you can create a disc image and write it to your output medium of choice: DVD-R, DVD-RW, DVD+RW, CD-R, CD-RW, or DLT tape. Even if the project has been through thorough simulation and testing in Sonic CinePlayer, it is always a good idea to also check the project’s behavior from disc by testing it in multiple consumer DVD players if you plan to distribute the project on DVD-R or replicated disc.

This section includes the following topics:

  • Playback Simulation
  • Using Sonic CinePlayer to Test the Project
  • Outputting the Project
  • Writing to CD-R or DVD-R
  • Writing to DLT Tape


Playback Simulation

The purpose of simulation is to allow you to see and navigate the program as if you were playing it back from a set-top DVD player. This allows you to thoroughly test the project from the end-user’s point of view.

Because simulation is integrated directly into ReelDVD, any problems you uncover during simulation can be corrected as soon as they are found (unless they result from improper asset preparation). In fact, simulation is normally used continually throughout the authoring process to spot-check the effect of authoring decisions as they are made.

This sections includes the following topics:

  • Using Simulation Mode
  • Checking Language Selection

Using Simulation Mode

Simulation in ReelDVD takes place in the Preview window, which has two modes: Design and Simulation. To switch between modes, click the “LED” at the bottom left of the Preview window. In Simulation mode, the LED is green, and the panel contains the same keys found on a DVD-Video remote control. See Design Mode for a complete explanation of Simulation mode controls.

Preview window in Simulation mode

For a thorough simulation of the project, do the following:

Check the program flow:

In the Storyboard area, select the first Track in the project (indicated by the yellow arrow from the Auto Play icon). Then switch the Preview window to Simulation mode and click Play on the on-screen remote control. The project will begin playing through the Tracks. In the Storyboard area, a silver “reel” icon will appear at the lower right of the Track icon for the currently playing Track. When playback reaches a menu, click Skip Forward on the Preview window’s on-screen remote control to continue the simulation. If a Track appears out of the desired order, check the Next Track link of the preceding Track.

Check the project’s response to keys on the remote control:

For each Track in the project, confirm that playback responds as intended when you click the keys on the on-screen remote control. See DVD Remote Keys for a list of the keys to check and their functions.

Confirm the positioning and color/contrast settings of menu subpictures:

For each menu, confirm that the subpictures are correctly positioned with respect to the background image. Also check that the desired colors and contrast levels are set for the Display, Selection and Action button states.

Confirm the location of button hotspots on menus:

For each button on each menu, confirm that the position of the hotspot corresponds with the background and subpicture graphics that indicate the presence of the button to the viewer.

Confirm the destinations of all menu links:

For each menu, confirm that each button takes project playback to the desired Track or chapter in a Track.

Checking Language Selection

DVD-Video players have the capability to automatically play back the appropriate audio and subpicture streams of a Track based on the language code assigned to the streams and the language preference settings in the player’s setup menu.

A DVD player checks the language preference setting for audio when it starts playing a disc. If an audio stream exists in the DVD title that matches this setting, it will be selected for playback. If not, audio stream #1 (Au 1) will be used by default.

Likewise, the DVD player will attempt to select a subpicture stream based on the player setup. If there is no subpicture stream on the disc with a matching language, then subpicture stream #1 (Sp 1) will be used by default.

You can test the automatic selection of audio and subpicture streams in your project as follows:

  1. Use the Languages tab of the Project Settings dialog (see Languages Tab to define the player setup that you want to test):
    • Choose Edit > Project Settings.
    • When the Project Settings dialog appears, switch to the Languages tab.
    • Set the Simulation Defaults for the audio and subpicture streams to the languages that you want to test.
  2. Set the Preview window to Design mode.
  3. Select the AutoStart icon in the Storyboard area.
  4. Switch the Preview window to Simulation Mode. When the Play button is pressed, simulation will begin, and you can confirm that the appropriate audio and subpicture streams are playing.


Using Sonic CinePlayer to Test the Project

If you have installed the Sonic CinePlayer software player from the ReelDVD Installation disc, you can use it to further test your project by playing the compiled data off the hard drive before burning a disc. This process is typically referred to as emulation and is better suited for checking synchronization, subtitle timing, and playback performance.

To emulate the project with Sonic CinePlayer:
  1. Use ReelDVD to create a VIDEO_TS directory using the “Create DVD Video Files” option on the Make Disc dialog (see Make Disc Dialog).
  2. From the Windows Start menu, choose Programs > Sonic > CinePlayer > CinePlayer. The Sonic CinePlayer application opens.

            3.

  3. Right-click in the Video window and choose Open Media > Browse from the pop-up menu. The Open Media File window opens.
  4. Navigate to and open the project’s VIDEO_TS folder previously written by ReelDVD. Select the VIDEO_TS.IFO file and click Open.
    • If there is a First Play defined, the project begins playing.
    • If there is no First Play defined, click Play to begin playing the project.

For information on using Sonic CinePlayer, refer to the online documentation installed with the software.

Tests to Perform in Sonic CinePlayer

For a thorough emulation of the project in Sonic CinePlayer, do the following:

Confirm level and fidelity of all audio streams:

For each Track in the project, listen to each audio stream. Switch between audio streams to check for satisfactory fidelity and consistent audio levels throughout the project.

Confirm synchronization of all audio streams:

For each Track in the project, listen to each audio stream, checking for proper synchronization between the audio and video data. On less powerful machines, audio and video synchronization may drift slightly in software players.

Confirm the positioning, color/contrast settings, and timing of all subtitle streams:

For each Track in the project that has subtitles, look at each subtitle stream. Switch between subtitle streams to make sure that the subtitles are positioned within the safe area of the display (see The Safe Area), and that all subtitle text is clearly legible.

It is also a good idea to use this opportunity to further test the navigation of the project outside of ReelDVD.


Outputting the Project

After checking a project in Simulation mode, and perhaps in Sonic CinePlayer, the next step is to premaster a DVD disc. There are two stages to this process. One involves setting the disc name and creating the disc image file, and the other involves writing that disc image to CD media (CD-R or CD-RW), DVD-R (a recordable DVD), or DLT tape (a master tape for replication).

In ReelDVD, the premastering process is handled in the Make Disc dialog. Default settings for the dialog are set in the Layout Settings tab of the Project Settings dialog (see Layout Settings Tab).

To open the dialog, choose File > Make Disc or click the Make Disc button on the Tool Bar. The operations covered in the Make Disc dialog are organized into two steps:

  1. In Step 1 – Choose Operation, check the desired operations (Create DVD Video Files, Create Disc Image File, and Write to Device), and select an output device if Write to Device is selected.

    2. If you have previously performed the Create DVD Video Files operation, and have not made any subsequent changes to the project, you can skip this operation. ReelDVD will use the existing DVD Video files.

  2. In Step 2 – Choose Disc Name and Target Directories, enter the disc volume name and select the output directories for the project data.

    3. If you have previously set default layout settings in the Project Settings dialog, they will automatically appear here in the Make Disc dialog. See Layout Settings Tab for more information on setting layout defaults.

  3. Click Start to begin.

See Make Disc Dialog for further explanation of these steps and of the Make Disc dialog.

Writing to CD-R or DVD-R

If you want to create just a few copies of your project for playback in consumer set-top DVD players, as well as on computers, you can output the project to DVD-R media. You can also output the project to CD-R media for playback on computers.

To output your ReelDVD project to CD-R or DVD-R:
  1. Click the Make Disc button in the tool bar, or choose File > Make Disc.
  2. In Step 1 – Choose Operation, check all three operations: Create DVD Video Files, Create Disc Image File, and Write to Device.

    3. If you have previously performed the Create DVD Video Files operation, and have not made any subsequent changes to the project, you can skip this operation. ReelDVD will use the existing DVD Video files.

  3. Select the CD-R or DVD-R recorder from the Target Device list.
  4. Check the Simulate Write option if you want to test the output process without actually burning a disc.
  5. Set the Disc Name and Target Directories in the Step 2 section of the Make Disc dialog.
  6. Click Start to begin and insert a blank disc when prompted.

When the output process is complete, ReelDVD will indicate a successful disc creation. If, however, there are any errors during the process, a corresponding error message will appear in the Information window, and ReelDVD will indicate that the output failed.

Writing to DLT Tape

If you want hundreds or thousands of copies of your project, you will want to have the DVDs manufactured at a replication plant. To do so, you will need to provide the plant with a master for your project.

The standard format on which plants accept projects for replication is DLT (most plants currently will not accept masters on DVD-R). The DVD disc image is written to tape, which is then read at the plant. Because the tape is prepared in accordance with the DDP 2.0 disc description protocol, it is sometimes referred to as a DDP Master.

To output a project to DLT tape, you need a DLT tape drive connected to the computer. ReelDVD works with Quantum DLT2000, DLT4000, DLT7000, DLT8000 or equivalent tape drives. Valid tape drives will automatically be detected by ReelDVD and appear in the Target Device drop-down list of the Make Disc dialog box. Check the Write to Device option and choose the DLT drive from this list.

To output your ReelDVD project to DLT tape:
  1. Click the Make Disc button in the tool bar, or choose File > Make Disc.
  2. In Step 1 – Choose Operation, check all three operations: Create DVD Video Files, Create Disc Image File, and Write to Device.

    3. If you have previously performed the Create DVD Video Files operation, and have not made any subsequent changes to the project, you can skip this operation. ReelDVD will use the existing DVD Video files.

  3. Select the DLT tape drive from the Target Device list.
  4. Check the Verify Output option if you would like ReelDVD to perform a byte-for-byte comparison of the completed DLT with the source image on the computer’s hard drive. Although this doubles the time required for the output process, it is recommended because it ensures that the tape is valid and ready for replication. Finding problems with the master before hundreds or thousands of discs are replicated can result in a significant savings in both time and money.
  5. Set the Disc Name and Target Directories in the Step 2 section of the Make Disc dialog.
  6. Click Start to begin and insert a blank DLT tape when prompted.

When the output process is complete, ReelDVD will indicate a successful tape creation. If, however, there are any errors during the process, a corresponding error message will appear in the Information window, and ReelDVD will indicate that the output failed.


© Copyright 2000–2003 Sonic Solutions. All rights reserved.
ReelDVD User Guide — Sonic Part Number 800182 Rev D (03/03)